## linux-aws 6.19.0-1002.2

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
VERSION = 6
PATCHLEVEL = 19
SUBLEVEL = 0
EXTRAVERSION = -rc7
NAME = Baby Opossum Posse

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

ifeq ($(filter output-sync,$(.FEATURES)),)
$(error GNU Make >= 4.0 is required. Your Make version is $(MAKE_VERSION))
endif

$(if $(filter __%, $(MAKECMDGOALS)), \
	$(error targets prefixed with '__' are only for internal use))

# That's our default target when none is given on the command line
PHONY := __all
__all:

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.a targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

this-makefile := $(lastword $(MAKEFILE_LIST))
abs_srctree := $(realpath $(dir $(this-makefile)))
abs_output := $(CURDIR)

ifneq ($(sub_make_done),1)

# Do not use make's built-in rules and variables
# (this increases performance and avoids hard-to-debug behaviour)
MAKEFLAGS += -rR

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# Beautify output
# ---------------------------------------------------------------------------
#
# Most of build commands in Kbuild start with "cmd_". You can optionally define
# "quiet_cmd_*". If defined, the short log is printed. Otherwise, no log from
# that command is printed by default.
#
# e.g.)
#    quiet_cmd_depmod = DEPMOD  $(MODLIB)
#          cmd_depmod = $(srctree)/scripts/depmod.sh $(DEPMOD) $(KERNELRELEASE)
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#    $(Q)$(MAKE) $(build)=scripts/basic
#
# If KBUILD_VERBOSE contains 1, the whole command is echoed.
# If KBUILD_VERBOSE contains 2, the reason for rebuilding is printed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif

quiet = quiet_
Q = @

ifneq ($(findstring 1, $(KBUILD_VERBOSE)),)
  quiet =
  Q =
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands
ifneq ($(findstring s,$(firstword -$(MAKEFLAGS))),)
quiet=silent_
override KBUILD_VERBOSE :=
endif

export quiet Q KBUILD_VERBOSE

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/dev-tools/sparse.rst" for more details,
# including where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

export KBUILD_CHECKSRC

# Enable "clippy" (a linter) as part of the Rust compilation.
#
# Use 'make CLIPPY=1' to enable it.
ifeq ("$(origin CLIPPY)", "command line")
  KBUILD_CLIPPY := $(CLIPPY)
endif

export KBUILD_CLIPPY

# Use make M=dir or set the environment variable KBUILD_EXTMOD to specify the
# directory of external module to build. Setting M= takes precedence.
ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

ifeq ("$(origin MO)", "command line")
  KBUILD_EXTMOD_OUTPUT := $(MO)
endif

$(if $(word 2, $(KBUILD_EXTMOD)), \
	$(error building multiple external modules is not supported))

$(foreach x, % :, $(if $(findstring $x, $(KBUILD_EXTMOD)), \
	$(error module directory path cannot contain '$x')))

# Remove trailing slashes
ifneq ($(filter %/, $(KBUILD_EXTMOD)),)
KBUILD_EXTMOD := $(shell dirname $(KBUILD_EXTMOD).)
endif

export KBUILD_EXTMOD

ifeq ("$(origin W)", "command line")
  KBUILD_EXTRA_WARN := $(W)
endif

export KBUILD_EXTRA_WARN

# Kbuild will save output files in the current working directory.
# This does not need to match to the root of the kernel source tree.
#
# For example, you can do this:
#
#  cd /dir/to/store/output/files; make -f /dir/to/kernel/source/Makefile
#
# If you want to save output files in a different location, there are
# two syntaxes to specify it.
#
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the output directory.
# export KBUILD_OUTPUT=dir/to/store/output/files/; make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifdef KBUILD_EXTMOD
    ifdef KBUILD_OUTPUT
        objtree := $(realpath $(KBUILD_OUTPUT))
        $(if $(objtree),,$(error specified kernel directory "$(KBUILD_OUTPUT)" does not exist))
    else
        objtree := $(abs_srctree)
    endif
    # If Make is invoked from the kernel directory (either kernel
    # source directory or kernel build directory), external modules
    # are built in $(KBUILD_EXTMOD) for backward compatibility,
    # otherwise, built in the current directory.
    output := $(or $(KBUILD_EXTMOD_OUTPUT),$(if $(filter $(CURDIR),$(objtree) $(abs_srctree)),$(KBUILD_EXTMOD)))
    # KBUILD_EXTMOD might be a relative path. Remember its absolute path before
    # Make changes the working directory.
    srcroot := $(realpath $(KBUILD_EXTMOD))
    $(if $(srcroot),,$(error specified external module directory "$(KBUILD_EXTMOD)" does not exist))
else
    objtree := .
    output := $(KBUILD_OUTPUT)
endif

export objtree srcroot

# Do we want to change the working directory?
ifneq ($(output),)
# $(realpath ...) gets empty if the path does not exist. Run 'mkdir -p' first.
$(shell mkdir -p "$(output)")
# $(realpath ...) resolves symlinks
abs_output := $(realpath $(output))
$(if $(abs_output),,$(error failed to create output directory "$(output)"))
endif

ifneq ($(words $(subst :, ,$(abs_srctree))), 1)
$(error source directory cannot contain spaces or colons)
endif

export sub_make_done := 1

endif # sub_make_done

ifeq ($(abs_output),$(CURDIR))
# Suppress "Entering directory ..." if we are at the final work directory.
no-print-directory := --no-print-directory
else
# Recursion to show "Entering directory ..."
need-sub-make := 1
endif

ifeq ($(filter --no-print-directory, $(MAKEFLAGS)),)
# If --no-print-directory is unset, recurse once again to set it.
# You may end up recursing into __sub-make twice. This is needed due to the
# behavior change in GNU Make 4.4.1.
need-sub-make := 1
endif

ifeq ($(need-sub-make),1)

PHONY += $(MAKECMDGOALS) __sub-make

$(filter-out $(this-makefile), $(MAKECMDGOALS)) __all: __sub-make
	@:

# Invoke a second make in the output directory, passing relevant variables
__sub-make:
	$(Q)$(MAKE) $(no-print-directory) -C $(abs_output) \
	-f $(abs_srctree)/Makefile $(MAKECMDGOALS)

else # need-sub-make

# We process the rest of the Makefile if this is the final invocation of make

ifndef KBUILD_EXTMOD
srcroot := $(abs_srctree)
endif

ifeq ($(srcroot),$(CURDIR))
building_out_of_srctree :=
else
export building_out_of_srctree := 1
endif

ifdef KBUILD_ABS_SRCTREE
    # Do nothing. Use the absolute path.
else ifeq ($(srcroot),$(CURDIR))
    # Building in the source.
    srcroot := .
else ifeq ($(srcroot)/,$(dir $(CURDIR)))
    # Building in a subdirectory of the source.
    srcroot := ..
endif

export srctree := $(if $(KBUILD_EXTMOD),$(abs_srctree),$(srcroot))

ifdef building_out_of_srctree
export VPATH := $(srcroot)
else
VPATH :=
endif

# To make sure we do not include .config for any of the *config targets
# catch them early, and hand them over to scripts/kconfig/Makefile
# It is allowed to specify more targets when calling make, including
# mixing *config targets and build targets.
# For example 'make oldconfig all'.
# Detect when mixed targets is specified, and make a second invocation
# of make so .config is not included in this case either (for *config).

version_h := include/generated/uapi/linux/version.h

clean-targets := %clean mrproper cleandocs
no-dot-config-targets := $(clean-targets) \
			 cscope gtags TAGS tags help% %docs check% coccicheck \
			 $(version_h) headers headers_% archheaders archscripts \
			 %asm-generic kernelversion %src-pkg dt_binding_check \
			 outputmakefile rustavailable rustfmt rustfmtcheck
no-sync-config-targets := $(no-dot-config-targets) %install modules_sign kernelrelease \
			  image_name
single-targets := %.a %.i %.ko %.lds %.ll %.lst %.mod %.o %.rsi %.s %/

config-build	:=
mixed-build	:=
need-config	:= 1
may-sync-config	:= 1
single-build	:=

ifneq ($(filter $(no-dot-config-targets), $(MAKECMDGOALS)),)
    ifeq ($(filter-out $(no-dot-config-targets), $(MAKECMDGOALS)),)
        need-config :=
    endif
endif

ifneq ($(filter $(no-sync-config-targets), $(MAKECMDGOALS)),)
    ifeq ($(filter-out $(no-sync-config-targets), $(MAKECMDGOALS)),)
        may-sync-config :=
    endif
endif

need-compiler := $(may-sync-config)

ifneq ($(KBUILD_EXTMOD),)
    may-sync-config :=
endif

ifeq ($(KBUILD_EXTMOD),)
    ifneq ($(filter %config,$(MAKECMDGOALS)),)
        config-build := 1
        ifneq ($(words $(MAKECMDGOALS)),1)
            mixed-build := 1
        endif
    endif
endif

# We cannot build single targets and the others at the same time
ifneq ($(filter $(single-targets), $(MAKECMDGOALS)),)
    single-build := 1
    ifneq ($(filter-out $(single-targets), $(MAKECMDGOALS)),)
        mixed-build := 1
    endif
endif

# For "make -j clean all", "make -j mrproper defconfig all", etc.
ifneq ($(filter $(clean-targets),$(MAKECMDGOALS)),)
    ifneq ($(filter-out $(clean-targets),$(MAKECMDGOALS)),)
        mixed-build := 1
    endif
endif

# install and modules_install need also be processed one by one
ifneq ($(filter install,$(MAKECMDGOALS)),)
    ifneq ($(filter modules_install,$(MAKECMDGOALS)),)
        mixed-build := 1
    endif
endif

ifdef mixed-build
# ===========================================================================
# We're called with mixed targets (*config and build targets).
# Handle them one by one.

PHONY += $(MAKECMDGOALS) __build_one_by_one

$(MAKECMDGOALS): __build_one_by_one
	@:

__build_one_by_one:
	$(Q)set -e; \
	for i in $(MAKECMDGOALS); do \
		$(MAKE) -f $(srctree)/Makefile $$i; \
	done

else # !mixed-build

include $(srctree)/scripts/Kbuild.include

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(call read-file, $(objtree)/include/config/kernel.release)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)
export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION

include $(srctree)/scripts/subarch.include

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=arm64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).

=== lib/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for some libs needed in the kernel.
#

ccflags-remove-$(CONFIG_FUNCTION_TRACER) += $(CC_FLAGS_FTRACE)

# Branch profiling isn't noinstr-safe
ifdef CONFIG_TRACE_BRANCH_PROFILING
CFLAGS_smp_processor_id.o += -DDISABLE_BRANCH_PROFILING
endif

# These files are disabled because they produce lots of non-interesting and/or
# flaky coverage that is not a function of syscall inputs. For example,
# rbtree can be global and individual rotations don't correlate with inputs.
KCOV_INSTRUMENT_string.o := n
KCOV_INSTRUMENT_rbtree.o := n
KCOV_INSTRUMENT_list_debug.o := n
KCOV_INSTRUMENT_debugobjects.o := n
KCOV_INSTRUMENT_dynamic_debug.o := n
KCOV_INSTRUMENT_fault-inject.o := n
KCOV_INSTRUMENT_find_bit.o := n

# string.o implements standard library functions like memset/memcpy etc.
# Use -ffreestanding to ensure that the compiler does not try to "optimize"
# them into calls to themselves.
CFLAGS_string.o := -ffreestanding

# Early boot use of cmdline, don't instrument it
ifdef CONFIG_AMD_MEM_ENCRYPT
KASAN_SANITIZE_string.o := n

CFLAGS_string.o += -fno-stack-protector
endif

lib-y := ctype.o string.o vsprintf.o cmdline.o \
	 rbtree.o radix-tree.o timerqueue.o xarray.o \
	 maple_tree.o idr.o extable.o irq_regs.o argv_split.o \
	 flex_proportions.o ratelimit.o \
	 is_single_threaded.o plist.o decompress.o kobject_uevent.o \
	 earlycpio.o seq_buf.o siphash.o dec_and_lock.o \
	 nmi_backtrace.o win_minmax.o memcat_p.o \
	 buildid.o objpool.o iomem_copy.o sys_info.o

lib-$(CONFIG_UNION_FIND) += union_find.o
lib-$(CONFIG_PRINTK) += dump_stack.o
lib-$(CONFIG_SMP) += cpumask.o
lib-$(CONFIG_MIN_HEAP) += min_heap.o

lib-y	+= kobject.o klist.o
obj-y	+= lockref.o

obj-y += bcd.o sort.o parser.o debug_locks.o random32.o \
	 bust_spinlocks.o kasprintf.o bitmap.o scatterlist.o \
	 list_sort.o uuid.o iov_iter.o clz_ctz.o \
	 bsearch.o find_bit.o llist.o lwq.o memweight.o kfifo.o \
	 percpu-refcount.o rhashtable.o base64.o \
	 once.o refcount.o rcuref.o usercopy.o errseq.o bucket_locks.o \
	 generic-radix-tree.o bitmap-str.o
obj-y += string_helpers.o
obj-y += hexdump.o
obj-$(CONFIG_TEST_HEXDUMP) += test_hexdump.o
obj-y += kstrtox.o
obj-$(CONFIG_FIND_BIT_BENCHMARK) += find_bit_benchmark.o
obj-$(CONFIG_FIND_BIT_BENCHMARK_RUST) += find_bit_benchmark_rust.o
obj-$(CONFIG_TEST_BPF) += test_bpf.o
test_dhry-objs := dhry_1.o dhry_2.o dhry_run.o
obj-$(CONFIG_TEST_DHRY) += test_dhry.o
obj-$(CONFIG_TEST_FIRMWARE) += test_firmware.o
obj-$(CONFIG_TEST_BITOPS) += test_bitops.o
CFLAGS_test_bitops.o += -Werror
obj-$(CONFIG_TEST_SYSCTL) += test_sysctl.o
obj-$(CONFIG_TEST_IDA) += test_ida.o
obj-$(CONFIG_TEST_UBSAN) += test_ubsan.o
CFLAGS_test_ubsan.o += $(call cc-disable-warning, unused-but-set-variable)
UBSAN_SANITIZE_test_ubsan.o := y
obj-$(CONFIG_TEST_KSTRTOX) += test-kstrtox.o
obj-$(CONFIG_TEST_MIN_HEAP) += test_min_heap.o
obj-$(CONFIG_TEST_LKM) += test_module.o
obj-$(CONFIG_TEST_VMALLOC) += test_vmalloc.o
obj-$(CONFIG_TEST_RHASHTABLE) += test_rhashtable.o
obj-$(CONFIG_TEST_STATIC_KEYS) += test_static_keys.o
obj-$(CONFIG_TEST_STATIC_KEYS) += test_static_key_base.o
obj-$(CONFIG_TEST_DYNAMIC_DEBUG) += test_dynamic_debug.o

obj-$(CONFIG_TEST_BITMAP) += test_bitmap.o
ifeq ($(CONFIG_CC_IS_CLANG)$(CONFIG_KASAN),yy)
# FIXME: Clang breaks test_bitmap_const_eval when KASAN and GCOV are enabled
GCOV_PROFILE_test_bitmap.o := n
endif

obj-$(CONFIG_TEST_UUID) += test_uuid.o
obj-$(CONFIG_TEST_XARRAY) += test_xarray.o
obj-$(CONFIG_TEST_MAPLE_TREE) += test_maple_tree.o
obj-$(CONFIG_TEST_PARMAN) += test_parman.o
obj-$(CONFIG_TEST_KMOD) += test_kmod.o
obj-$(CONFIG_TEST_DEBUG_VIRTUAL) += test_debug_virtual.o
obj-$(CONFIG_TEST_MEMCAT_P) += test_memcat_p.o
obj-$(CONFIG_TEST_OBJAGG) += test_objagg.o
obj-$(CONFIG_TEST_MEMINIT) += test_meminit.o
obj-$(CONFIG_TEST_LOCKUP) += test_lockup.o
obj-$(CONFIG_TEST_HMM) += test_hmm.o
obj-$(CONFIG_TEST_FREE_PAGES) += test_free_pages.o
obj-$(CONFIG_TEST_REF_TRACKER) += test_ref_tracker.o
obj-$(CONFIG_TEST_OBJPOOL) += test_objpool.o
obj-$(CONFIG_TEST_KEXEC_HANDOVER) += test_kho.o

obj-$(CONFIG_TEST_FPU) += test_fpu.o
test_fpu-y := test_fpu_glue.o test_fpu_impl.o
CFLAGS_test_fpu_impl.o += $(CC_FLAGS_FPU)
CFLAGS_REMOVE_test_fpu_impl.o += $(CC_FLAGS_NO_FPU)

obj-y += kunit/

ifeq ($(CONFIG_DEBUG_KOBJECT),y)
CFLAGS_kobject.o += -DDEBUG
CFLAGS_kobject_uevent.o += -DDEBUG
endif

obj-$(CONFIG_DEBUG_INFO_REDUCED) += debug_info.o
CFLAGS_debug_info.o += $(call cc-option, -femit-struct-debug-detailed=any)

obj-y += math/ crc/ crypto/ tests/ vdso/

obj-$(CONFIG_GENERIC_IOMAP) += iomap.o
obj-$(CONFIG_HAS_IOMEM) += iomap_copy.o devres.o
obj-$(CONFIG_CHECK_SIGNATURE) += check_signature.o
obj-$(CONFIG_DEBUG_LOCKING_API_SELFTESTS) += locking-selftest.o

obj-$(CONFIG_GENERIC_CPU_CACHE_MAINTENANCE) += cache_maint.o

lib-y += logic_pio.o

lib-$(CONFIG_INDIRECT_IOMEM) += logic_iomem.o

obj-$(CONFIG_TRACE_MMIO_ACCESS) += trace_readwrite.o

obj-$(CONFIG_GENERIC_HWEIGHT) += hweight.o

obj-$(CONFIG_BTREE) += btree.o
obj-$(CONFIG_INTERVAL_TREE) += interval_tree.o
obj-$(CONFIG_ASSOCIATIVE_ARRAY) += assoc_array.o
obj-$(CONFIG_DEBUG_PREEMPT) += smp_processor_id.o
obj-$(CONFIG_LIST_HARDENED) += list_debug.o
obj-$(CONFIG_DEBUG_OBJECTS) += debugobjects.o

obj-$(CONFIG_BITREVERSE) += bitrev.o
obj-$(CONFIG_LINEAR_RANGES) += linear_ranges.o
obj-$(CONFIG_PACKING)	+= packing.o
obj-$(CONFIG_PACKING_KUNIT_TEST) += packing_test.o
obj-$(CONFIG_XXHASH)	+= xxhash.o
obj-$(CONFIG_GENERIC_ALLOCATOR) += genalloc.o

obj-$(CONFIG_842_COMPRESS) += 842/
obj-$(CONFIG_842_DECOMPRESS) += 842/
obj-$(CONFIG_ZLIB_INFLATE) += zlib_inflate/
obj-$(CONFIG_ZLIB_DEFLATE) += zlib_deflate/
obj-$(CONFIG_ZLIB_DFLTCC) += zlib_dfltcc/
obj-$(CONFIG_REED_SOLOMON) += reed_solomon/
obj-$(CONFIG_BCH) += bch.o
obj-$(CONFIG_LZO_COMPRESS) += lzo/
obj-$(CONFIG_LZO_DECOMPRESS) += lzo/
obj-$(CONFIG_LZ4_COMPRESS) += lz4/
obj-$(CONFIG_LZ4HC_COMPRESS) += lz4/
obj-$(CONFIG_LZ4_DECOMPRESS) += lz4/
obj-$(CONFIG_ZSTD_COMPRESS) += zstd/
obj-$(CONFIG_ZSTD_DECOMPRESS) += zstd/
obj-$(CONFIG_XZ_DEC) += xz/
obj-$(CONFIG_RAID6_PQ) += raid6/

lib-$(CONFIG_DECOMPRESS_GZIP) += decompress_inflate.o
lib-$(CONFIG_DECOMPRESS_BZIP2) += decompress_bunzip2.o
lib-$(CONFIG_DECOMPRESS_LZMA) += decompress_unlzma.o
lib-$(CONFIG_DECOMPRESS_XZ) += decompress_unxz.o
lib-$(CONFIG_DECOMPRESS_LZO) += decompress_unlzo.o
lib-$(CONFIG_DECOMPRESS_LZ4) += decompress_unlz4.o
lib-$(CONFIG_DECOMPRESS_ZSTD) += decompress_unzstd.o

obj-$(CONFIG_TEXTSEARCH) += textsearch.o
obj-$(CONFIG_TEXTSEARCH_KMP) += ts_kmp.o
obj-$(CONFIG_TEXTSEARCH_BM) += ts_bm.o
obj-$(CONFIG_TEXTSEARCH_FSM) += ts_fsm.o
obj-$(CONFIG_SMP) += percpu_counter.o
obj-$(CONFIG_AUDIT_GENERIC) += audit.o
obj-$(CONFIG_AUDIT_COMPAT_GENERIC) += compat_audit.o

obj-$(CONFIG_IOMMU_HELPER) += iommu-helper.o
obj-$(CONFIG_FAULT_INJECTION) += fault-inject.o
obj-$(CONFIG_FAULT_INJECTION_USERCOPY) += fault-inject-usercopy.o
obj-$(CONFIG_NOTIFIER_ERROR_INJECTION) += notifier-error-inject.o
obj-$(CONFIG_PM_NOTIFIER_ERROR_INJECT) += pm-notifier-error-inject.o
obj-$(CONFIG_NETDEV_NOTIFIER_ERROR_INJECT) += netdev-notifier-error-inject.o
obj-$(CONFIG_MEMORY_NOTIFIER_ERROR_INJECT) += memory-notifier-error-inject.o
obj-$(CONFIG_OF_RECONFIG_NOTIFIER_ERROR_INJECT) += \
	of-reconfig-notifier-error-inject.o
obj-$(CONFIG_FUNCTION_ERROR_INJECTION) += error-inject.o

obj-$(CONFIG_CODE_TAGGING) += codetag.o
obj-$(CONFIG_MEM_ALLOC_PROFILING) += alloc_tag.o

lib-$(CONFIG_GENERIC_BUG) += bug.o

obj-$(CONFIG_HAVE_ARCH_TRACEHOOK) += syscall.o
obj-$(CONFIG_ARCH_NEED_CMPXCHG_1_EMU) += cmpxchg-emu.o

obj-$(CONFIG_DYNAMIC_DEBUG_CORE) += dynamic_debug.o
#ensure exported functions have prototypes
CFLAGS_dynamic_debug.o := -DDYNAMIC_DEBUG_MODULE

obj-$(CONFIG_SYMBOLIC_ERRNAME) += errname.o

obj-$(CONFIG_NLATTR) += nlattr.o

obj-$(CONFIG_LRU_CACHE) += lru_cache.o

obj-$(CONFIG_GENERIC_CSUM) += checksum.o

obj-$(CONFIG_GENERIC_ATOMIC64) += atomic64.o

obj-$(CONFIG_ATOMIC64_SELFTEST) += atomic64_test.o

obj-$(CONFIG_CPU_RMAP) += cpu_rmap.o

obj-$(CONFIG_CLOSURES) += closure.o

obj-$(CONFIG_DQL) += dynamic_queue_limits.o

obj-$(CONFIG_GLOB) += glob.o
obj-$(CONFIG_GLOB_SELFTEST) += globtest.o

obj-$(CONFIG_DIMLIB) += dim/
obj-$(CONFIG_SIGNATURE) += digsig.o

lib-$(CONFIG_CLZ_TAB) += clz_tab.o

obj-$(CONFIG_GENERIC_STRNCPY_FROM_USER) += strncpy_from_user.o
obj-$(CONFIG_GENERIC_STRNLEN_USER) += strnlen_user.o

obj-$(CONFIG_GENERIC_NET_UTILS) += net_utils.o

obj-$(CONFIG_SG_SPLIT) += sg_split.o
obj-$(CONFIG_SG_POOL) += sg_pool.o
obj-$(CONFIG_MEMREGION) += memregion.o
obj-$(CONFIG_STMP_DEVICE) += stmp_device.o
obj-$(CONFIG_IRQ_POLL) += irq_poll.o

obj-$(CONFIG_POLYNOMIAL) += polynomial.o

# stackdepot.c should not be instrumented or call instrumented functions.
# Prevent the compiler from calling builtins like memcmp() or bcmp() from this
# file.
CFLAGS_stackdepot.o += -fno-builtin
obj-$(CONFIG_STACKDEPOT) += stackdepot.o
KASAN_SANITIZE_stackdepot.o := n
# In particular, instrumenting stackdepot.c with KMSAN will result in infinite
# recursion.
KMSAN_SANITIZE_stackdepot.o := n
KCOV_INSTRUMENT_stackdepot.o := n

obj-$(CONFIG_REF_TRACKER) += ref_tracker.o

libfdt_files = fdt.o fdt_ro.o fdt_wip.o fdt_rw.o fdt_sw.o fdt_strerror.o \
	       fdt_empty_tree.o fdt_addresses.o
$(foreach file, $(libfdt_files), \
	$(eval CFLAGS_$(file) = -I $(srctree)/scripts/dtc/libfdt))
lib-$(CONFIG_LIBFDT) += $(libfdt_files)

obj-$(CONFIG_BOOT_CONFIG) += bootconfig.o
obj-$(CONFIG_BOOT_CONFIG_EMBED) += bootconfig-data.o

$(obj)/bootconfig-data.o: $(obj)/default.bconf

targets += default.bconf
filechk_defbconf = cat $(or $(real-prereqs), /dev/null)
$(obj)/default.bconf: $(CONFIG_BOOT_CONFIG_EMBED_FILE) FORCE
	$(call filechk,defbconf)

obj-$(CONFIG_RBTREE_TEST) += rbtree_test.o
obj-$(CONFIG_INTERVAL_TREE_TEST) += interval_tree_test.o

obj-$(CONFIG_PERCPU_TEST) += percpu_test.o

obj-$(CONFIG_ASN1) += asn1_decoder.o
obj-$(CONFIG_ASN1_ENCODER) += asn1_encoder.o

obj-$(CONFIG_FONT_SUPPORT) += fonts/

#
# Build a fast OID lookip registry from include/linux/oid_registry.h
#
obj-$(CONFIG_OID_REGISTRY) += oid_registry.o

$(obj)/oid_registry.o: $(obj)/oid_registry_data.c

$(obj)/oid_registry_data.c: $(srctree)/include/linux/oid_registry.h \
			    $(src)/build_OID_registry
	$(call cmd,build_OID_registry)

quiet_cmd_build_OID_registry = GEN     $@
      cmd_build_OID_registry = perl $(src)/build_OID_registry $< $@

clean-files	+= oid_registry_data.c

obj-$(CONFIG_UCS2_STRING) += ucs2_string.o
obj-$(CONFIG_UBSAN) += ubsan.o

UBSAN_SANITIZE_ubsan.o := n
KASAN_SANITIZE_ubsan.o := n
KCSAN_SANITIZE_ubsan.o := n
CFLAGS_ubsan.o := -fno-stack-protector $(DISABLE_KSTACK_ERASE)

obj-$(CONFIG_SBITMAP) += sbitmap.o

obj-$(CONFIG_PARMAN) += parman.o

obj-y += group_cpus.o

# GCC library routines
obj-$(CONFIG_GENERIC_LIB_ASHLDI3) += ashldi3.o
obj-$(CONFIG_GENERIC_LIB_ASHRDI3) += ashrdi3.o
obj-$(CONFIG_GENERIC_LIB_LSHRDI3) += lshrdi3.o
obj-$(CONFIG_GENERIC_LIB_MULDI3) += muldi3.o
obj-$(CONFIG_GENERIC_LIB_CMPDI2) += cmpdi2.o
obj-$(CONFIG_GENERIC_LIB_UCMPDI2) += ucmpdi2.o
obj-$(CONFIG_OBJAGG) += objagg.o

# pldmfw library
obj-$(CONFIG_PLDMFW) += pldmfw/

obj-$(CONFIG_GENERIC_LIB_DEVMEM_IS_ALLOWED) += devmem_is_allowed.o

obj-$(CONFIG_FIRMWARE_TABLE) += fw_table.o

subdir-$(CONFIG_FORTIFY_SOURCE) += test_fortify

=== drivers/hwmon/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for sensor chip drivers.
#

obj-$(CONFIG_HWMON)		+= hwmon.o
obj-$(CONFIG_HWMON_VID)		+= hwmon-vid.o

# ACPI drivers
obj-$(CONFIG_SENSORS_ACPI_POWER) += acpi_power_meter.o
obj-$(CONFIG_SENSORS_ATK0110)	+= asus_atk0110.o
obj-$(CONFIG_SENSORS_ASUS_EC)	+= asus-ec-sensors.o
obj-$(CONFIG_SENSORS_ASUS_WMI)	+= asus_wmi_sensors.o
obj-$(CONFIG_SENSORS_HP_WMI)	+= hp-wmi-sensors.o

# Native drivers
# asb100, then w83781d go first, as they can override other drivers' addresses.
obj-$(CONFIG_SENSORS_AAEON)     += hwmon-aaeon.o
obj-$(CONFIG_SENSORS_ASB100)	+= asb100.o
obj-$(CONFIG_SENSORS_W83627HF)	+= w83627hf.o
obj-$(CONFIG_SENSORS_W83773G)	+= w83773g.o
obj-$(CONFIG_SENSORS_W83792D)	+= w83792d.o
obj-$(CONFIG_SENSORS_W83793)	+= w83793.o
obj-$(CONFIG_SENSORS_W83795)	+= w83795.o
obj-$(CONFIG_SENSORS_W83781D)	+= w83781d.o
obj-$(CONFIG_SENSORS_W83791D)	+= w83791d.o

obj-$(CONFIG_SENSORS_ABITUGURU)	+= abituguru.o
obj-$(CONFIG_SENSORS_ABITUGURU3)+= abituguru3.o
obj-$(CONFIG_SENSORS_AD7314)	+= ad7314.o
obj-$(CONFIG_SENSORS_AD7414)	+= ad7414.o
obj-$(CONFIG_SENSORS_AD7418)	+= ad7418.o
obj-$(CONFIG_SENSORS_ADC128D818) += adc128d818.o
obj-$(CONFIG_SENSORS_ADCXX)	+= adcxx.o
obj-$(CONFIG_SENSORS_ADM1025)	+= adm1025.o
obj-$(CONFIG_SENSORS_ADM1026)	+= adm1026.o
obj-$(CONFIG_SENSORS_ADM1029)	+= adm1029.o
obj-$(CONFIG_SENSORS_ADM1031)	+= adm1031.o
obj-$(CONFIG_SENSORS_ADM1177)	+= adm1177.o
obj-$(CONFIG_SENSORS_ADM9240)	+= adm9240.o
obj-$(CONFIG_SENSORS_ADS7828)	+= ads7828.o
obj-$(CONFIG_SENSORS_ADS7871)	+= ads7871.o
obj-$(CONFIG_SENSORS_ADT7X10)	+= adt7x10.o
obj-$(CONFIG_SENSORS_ADT7310)	+= adt7310.o
obj-$(CONFIG_SENSORS_ADT7410)	+= adt7410.o
obj-$(CONFIG_SENSORS_ADT7411)	+= adt7411.o
obj-$(CONFIG_SENSORS_ADT7462)	+= adt7462.o
obj-$(CONFIG_SENSORS_ADT7470)	+= adt7470.o
obj-$(CONFIG_SENSORS_ADT7475)	+= adt7475.o
obj-$(CONFIG_SENSORS_AHT10)	+= aht10.o
obj-$(CONFIG_SENSORS_APPLESMC)	+= applesmc.o
obj-$(CONFIG_SENSORS_AQUACOMPUTER_D5NEXT) += aquacomputer_d5next.o
obj-$(CONFIG_SENSORS_ARM_SCMI)	+= scmi-hwmon.o
obj-$(CONFIG_SENSORS_ARM_SCPI)	+= scpi-hwmon.o
obj-$(CONFIG_SENSORS_AS370)	+= as370-hwmon.o
obj-$(CONFIG_SENSORS_ASC7621)	+= asc7621.o
obj-$(CONFIG_SENSORS_ASPEED)	+= aspeed-pwm-tacho.o
obj-$(CONFIG_SENSORS_ASPEED_G6) += aspeed-g6-pwm-tach.o
obj-$(CONFIG_SENSORS_ASUS_ROG_RYUJIN)	+= asus_rog_ryujin.o
obj-$(CONFIG_SENSORS_ATXP1)	+= atxp1.o
obj-$(CONFIG_SENSORS_AXI_FAN_CONTROL) += axi-fan-control.o
obj-$(CONFIG_SENSORS_BT1_PVT)	+= bt1-pvt.o
obj-$(CONFIG_SENSORS_CGBC)	+= cgbc-hwmon.o
obj-$(CONFIG_SENSORS_CHIPCAP2) += chipcap2.o
obj-$(CONFIG_SENSORS_CORETEMP)	+= coretemp.o
obj-$(CONFIG_SENSORS_CORSAIR_CPRO) += corsair-cpro.o
obj-$(CONFIG_SENSORS_CORSAIR_PSU) += corsair-psu.o
obj-$(CONFIG_SENSORS_CROS_EC)	+= cros_ec_hwmon.o
obj-$(CONFIG_SENSORS_DA9052_ADC)+= da9052-hwmon.o
obj-$(CONFIG_SENSORS_DA9055)+= da9055-hwmon.o
obj-$(CONFIG_SENSORS_DELL_SMM)	+= dell-smm-hwmon.o
obj-$(CONFIG_SENSORS_DME1737)	+= dme1737.o
obj-$(CONFIG_SENSORS_DRIVETEMP)	+= drivetemp.o
obj-$(CONFIG_SENSORS_DS620)	+= ds620.o
obj-$(CONFIG_SENSORS_DS1621)	+= ds1621.o
obj-$(CONFIG_SENSORS_EMC1403)	+= emc1403.o
obj-$(CONFIG_SENSORS_EMC2103)	+= emc2103.o
obj-$(CONFIG_SENSORS_EMC2305)	+= emc2305.o
obj-$(CONFIG_SENSORS_EMC6W201)	+= emc6w201.o
obj-$(CONFIG_SENSORS_F71805F)	+= f71805f.o
obj-$(CONFIG_SENSORS_F71882FG)	+= f71882fg.o
obj-$(CONFIG_SENSORS_F75375S)	+= f75375s.o
obj-$(CONFIG_SENSORS_FAM15H_POWER) += fam15h_power.o
obj-$(CONFIG_SENSORS_FSCHMD)	+= fschmd.o
obj-$(CONFIG_SENSORS_FTSTEUTATES) += ftsteutates.o
obj-$(CONFIG_SENSORS_G760A)	+= g760a.o
obj-$(CONFIG_SENSORS_G762)	+= g762.o
obj-$(CONFIG_SENSORS_GIGABYTE_WATERFORCE) += gigabyte_waterforce.o
obj-$(CONFIG_SENSORS_GL518SM)	+= gl518sm.o
obj-$(CONFIG_SENSORS_GL520SM)	+= gl520sm.o
obj-$(CONFIG_SENSORS_GSC)	+= gsc-hwmon.o
obj-$(CONFIG_SENSORS_GPD)	+= gpd-fan.o
obj-$(CONFIG_SENSORS_GPIO_FAN)	+= gpio-fan.o
obj-$(CONFIG_SENSORS_GXP_FAN_CTRL) += gxp-fan-ctrl.o
obj-$(CONFIG_SENSORS_HIH6130)	+= hih6130.o
obj-$(CONFIG_SENSORS_HS3001)	+= hs3001.o
obj-$(CONFIG_SENSORS_HTU31)	+= htu31.o
obj-$(CONFIG_SENSORS_ULTRA45)	+= ultra45_env.o
obj-$(CONFIG_SENSORS_I5500)	+= i5500_temp.o
obj-$(CONFIG_SENSORS_I5K_AMB)	+= i5k_amb.o
obj-$(CONFIG_SENSORS_IBMAEM)	+= ibmaem.o
obj-$(CONFIG_SENSORS_IBMPEX)	+= ibmpex.o
obj-$(CONFIG_SENSORS_IBMPOWERNV)+= ibmpowernv.o
obj-$(CONFIG_SENSORS_IIO_HWMON) += iio_hwmon.o
obj-$(CONFIG_SENSORS_INA209)	+= ina209.o
obj-$(CONFIG_SENSORS_INA2XX)	+= ina2xx.o
obj-$(CONFIG_SENSORS_INA238)	+= ina238.o
obj-$(CONFIG_SENSORS_INA3221)	+= ina3221.o
obj-$(CONFIG_SENSORS_INTEL_M10_BMC_HWMON) += intel-m10-bmc-hwmon.o
obj-$(CONFIG_SENSORS_ISL28022)	+= isl28022.o
obj-$(CONFIG_SENSORS_IT87)	+= it87.o
obj-$(CONFIG_SENSORS_JC42)	+= jc42.o
obj-$(CONFIG_SENSORS_K8TEMP)	+= k8temp.o
obj-$(CONFIG_SENSORS_K10TEMP)	+= k10temp.o
obj-$(CONFIG_SENSORS_KBATT)	+= kbatt.o
obj-$(CONFIG_SENSORS_KFAN)	+= kfan.o
obj-$(CONFIG_SENSORS_LAN966X)	+= lan966x-hwmon.o
obj-$(CONFIG_SENSORS_LENOVO_EC)	+= lenovo-ec-sensors.o
obj-$(CONFIG_SENSORS_LINEAGE)	+= lineage-pem.o
obj-$(CONFIG_SENSORS_LOCHNAGAR)	+= lochnagar-hwmon.o
obj-$(CONFIG_SENSORS_LM63)	+= lm63.o
obj-$(CONFIG_SENSORS_LM70)	+= lm70.o
obj-$(CONFIG_SENSORS_LM73)	+= lm73.o
obj-$(CONFIG_SENSORS_LM75)	+= lm75.o
obj-$(CONFIG_SENSORS_LM77)	+= lm77.o
obj-$(CONFIG_SENSORS_LM78)	+= lm78.o
obj-$(CONFIG_SENSORS_LM80)	+= lm80.o
obj-$(CONFIG_SENSORS_LM83)	+= lm83.o
obj-$(CONFIG_SENSORS_LM85)	+= lm85.o
obj-$(CONFIG_SENSORS_LM87)	+= lm87.o
obj-$(CONFIG_SENSORS_LM90)	+= lm90.o
obj-$(CONFIG_SENSORS_LM92)	+= lm92.o
obj-$(CONFIG_SENSORS_LM93)	+= lm93.o
obj-$(CONFIG_SENSORS_LM95234)	+= lm95234.o
obj-$(CONFIG_SENSORS_LM95241)	+= lm95241.o
obj-$(CONFIG_SENSORS_LM95245)	+= lm95245.o
obj-$(CONFIG_SENSORS_LTC2945)	+= ltc2945.o
obj-$(CONFIG_SENSORS_LTC2947)	+= ltc2947-core.o
obj-$(CONFIG_SENSORS_LTC2947_I2C) += ltc2947-i2c.o
obj-$(CONFIG_SENSORS_LTC2947_SPI) += ltc2947-spi.o
obj-$(CONFIG_SENSORS_LTC2990)	+= ltc2990.o
obj-$(CONFIG_SENSORS_LTC2991)	+= ltc2991.o
obj-$(CONFIG_SENSORS_LTC2992)	+= ltc2992.o
obj-$(CONFIG_SENSORS_LTC4151)	+= ltc4151.o
obj-$(CONFIG_SENSORS_LTC4215)	+= ltc4215.o
obj-$(CONFIG_SENSORS_LTC4222)	+= ltc4222.o
obj-$(CONFIG_SENSORS_LTC4245)	+= ltc4245.o
obj-$(CONFIG_SENSORS_LTC4260)	+= ltc4260.o
obj-$(CONFIG_SENSORS_LTC4261)	+= ltc4261.o
obj-$(CONFIG_SENSORS_LTC4282)	+= ltc4282.o
obj-$(CONFIG_SENSORS_LTQ_CPUTEMP) += ltq-cputemp.o
obj-$(CONFIG_SENSORS_MACSMC_HWMON)	+= macsmc-hwmon.o
obj-$(CONFIG_SENSORS_MAX1111)	+= max1111.o
obj-$(CONFIG_SENSORS_MAX127)	+= max127.o
obj-$(CONFIG_SENSORS_MAX16065)	+= max16065.o
obj-$(CONFIG_SENSORS_MAX1619)	+= max1619.o
obj-$(CONFIG_SENSORS_MAX1668)	+= max1668.o
obj-$(CONFIG_SENSORS_MAX197)	+= max197.o
obj-$(CONFIG_SENSORS_MAX31722)	+= max31722.o
obj-$(CONFIG_SENSORS_MAX31730)	+= max31730.o
obj-$(CONFIG_SENSORS_MAX31760)  += max31760.o
obj-$(CONFIG_SENSORS_MAX6620)	+= max6620.o
obj-$(CONFIG_SENSORS_MAX6621)	+= max6621.o
obj-$(CONFIG_SENSORS_MAX6639)	+= max6639.o
obj-$(CONFIG_SENSORS_MAX6650)	+= max6650.o
obj-$(CONFIG_SENSORS_MAX6697)	+= max6697.o
obj-$(CONFIG_SENSORS_MAX31790)	+= max31790.o
obj-$(CONFIG_MAX31827) += max31827.o
obj-$(CONFIG_SENSORS_MAX77705) += max77705-hwmon.o
obj-$(CONFIG_SENSORS_MC13783_ADC)+= mc13783-adc.o
obj-$(CONFIG_SENSORS_MC33XS2410) += mc33xs2410_hwmon.o
obj-$(CONFIG_SENSORS_MC34VR500)	+= mc34vr500.o
obj-$(CONFIG_SENSORS_MCP3021)	+= mcp3021.o
obj-$(CONFIG_SENSORS_TC654)	+= tc654.o
obj-$(CONFIG_SENSORS_TPS23861)	+= tps23861.o
obj-$(CONFIG_SENSORS_MLXREG_FAN) += mlxreg-fan.o
obj-$(CONFIG_SENSORS_MENF21BMC_HWMON) += menf21bmc_hwmon.o
obj-$(CONFIG_SENSORS_MR75203)	+= mr75203.o
obj-$(CONFIG_SENSORS_NCT6683)	+= nct6683.o
obj-$(CONFIG_SENSORS_NCT6694)	+= nct6694-hwmon.o
obj-$(CONFIG_SENSORS_NCT6775_CORE) += nct6775-core.o
nct6775-objs			:= nct6775-platform.o
obj-$(CONFIG_SENSORS_NCT6775)	+= nct6775.o
obj-$(CONFIG_SENSORS_NCT6775_I2C) += nct6775-i2c.o
obj-$(CONFIG_SENSORS_NCT7363)	+= nct7363.o
obj-$(CONFIG_SENSORS_NCT7802)	+= nct7802.o
obj-$(CONFIG_SENSORS_NCT7904)	+= nct7904.o
obj-$(CONFIG_SENSORS_NPCM7XX)	+= npcm750-pwm-fan.o
obj-$(CONFIG_SENSORS_NSA320)	+= nsa320-hwmon.o
obj-$(CONFIG_SENSORS_NTC_THERMISTOR)	+= ntc_thermistor.o
obj-$(CONFIG_SENSORS_NZXT_KRAKEN2) += nzxt-kraken2.o
obj-$(CONFIG_SENSORS_NZXT_KRAKEN3) += nzxt-kraken3.o
obj-$(CONFIG_SENSORS_NZXT_SMART2) += nzxt-smart2.o
obj-$(CONFIG_SENSORS_PC87360)	+= pc87360.o
obj-$(CONFIG_SENSORS_PC87427)	+= pc87427.o
obj-$(CONFIG_SENSORS_PCF8591)	+= pcf8591.o
obj-$(CONFIG_SENSORS_POWERZ)	+= powerz.o
obj-$(CONFIG_SENSORS_POWR1220)  += powr1220.o
obj-$(CONFIG_SENSORS_PT5161L)	+= pt5161l.o
obj-$(CONFIG_SENSORS_PWM_FAN)	+= pwm-fan.o
obj-$(CONFIG_SENSORS_QNAP_MCU_HWMON)	+= qnap-mcu-hwmon.o
obj-$(CONFIG_SENSORS_RASPBERRYPI_HWMON)	+= raspberrypi-hwmon.o
obj-$(CONFIG_SENSORS_SA67MCU)	+= sa67mcu-hwmon.o
obj-$(CONFIG_SENSORS_SBTSI)	+= sbtsi_temp.o
obj-$(CONFIG_SENSORS_SBRMI)	+= sbrmi.o
obj-$(CONFIG_SENSORS_SCH56XX_COMMON)+= sch56xx-common.o
obj-$(CONFIG_SENSORS_SCH5627)	+= sch5627.o
obj-$(CONFIG_SENSORS_SCH5636)	+= sch5636.o
obj-$(CONFIG_SENSORS_SFCTEMP)	+= sfctemp.o
obj-$(CONFIG_SENSORS_SG2042_MCU) += sg2042-mcu.o
obj-$(CONFIG_SENSORS_SL28CPLD)	+= sl28cpld-hwmon.o
obj-$(CONFIG_SENSORS_SHT15)	+= sht15.o
obj-$(CONFIG_SENSORS_SHT21)	+= sht21.o
obj-$(CONFIG_SENSORS_SHT3x)	+= sht3x.o
obj-$(CONFIG_SENSORS_SHT4x)	+= sht4x.o
obj-$(CONFIG_SENSORS_SHTC1)	+= shtc1.o
obj-$(CONFIG_SENSORS_SIS5595)	+= sis5595.o
obj-$(CONFIG_SENSORS_SMPRO)	+= smpro-hwmon.o
obj-$(CONFIG_SENSORS_SMSC47B397)+= smsc47b397.o
obj-$(CONFIG_SENSORS_SMSC47M1)	+= smsc47m1.o
obj-$(CONFIG_SENSORS_SMSC47M192)+= smsc47m192.o
obj-$(CONFIG_SENSORS_SPARX5)	+= sparx5-temp.o
obj-$(CONFIG_SENSORS_SPD5118)	+= spd5118.o
obj-$(CONFIG_SENSORS_STTS751)	+= stts751.o
obj-$(CONFIG_SENSORS_SURFACE_FAN)+= surface_fan.o
obj-$(CONFIG_SENSORS_SURFACE_TEMP)+= surface_temp.o
obj-$(CONFIG_SENSORS_SY7636A)	+= sy7636a-hwmon.o
obj-$(CONFIG_SENSORS_AMC6821)	+= amc6821.o
obj-$(CONFIG_SENSORS_TC74)	+= tc74.o
obj-$(CONFIG_SENSORS_THMC50)	+= thmc50.o
obj-$(CONFIG_SENSORS_TMP102)	+= tmp102.o
obj-$(CONFIG_SENSORS_TMP103)	+= tmp103.o
obj-$(CONFIG_SENSORS_TMP108)	+= tmp108.o
obj-$(CONFIG_SENSORS_TMP401)	+= tmp401.o
obj-$(CONFIG_SENSORS_TMP421)	+= tmp421.o
obj-$(CONFIG_SENSORS_TMP464)	+= tmp464.o
obj-$(CONFIG_SENSORS_TMP513)	+= tmp513.o
obj-$(CONFIG_SENSORS_TSC1641)	+= tsc1641.o
obj-$(CONFIG_SENSORS_VEXPRESS)	+= vexpress-hwmon.o
obj-$(CONFIG_SENSORS_VIA_CPUTEMP)+= via-cputemp.o
obj-$(CONFIG_SENSORS_VIA686A)	+= via686a.o
obj-$(CONFIG_SENSORS_VT1211)	+= vt1211.o
obj-$(CONFIG_SENSORS_VT8231)	+= vt8231.o
obj-$(CONFIG_SENSORS_W83627EHF)	+= w83627ehf.o
obj-$(CONFIG_SENSORS_W83L785TS)	+= w83l785ts.o
obj-$(CONFIG_SENSORS_W83L786NG)	+= w83l786ng.o
obj-$(CONFIG_SENSORS_WM831X)	+= wm831x-hwmon.o
obj-$(CONFIG_SENSORS_WM8350)	+= wm8350-hwmon.o
obj-$(CONFIG_SENSORS_XGENE)	+= xgene-hwmon.o

obj-$(CONFIG_SENSORS_OCC)	+= occ/
obj-$(CONFIG_SENSORS_PECI)	+= peci/
obj-$(CONFIG_PMBUS)		+= pmbus/

ccflags-$(CONFIG_HWMON_DEBUG_CHIP) := -DDEBUG

=== tools/dma/Makefile ===
# SPDX-License-Identifier: GPL-2.0
include ../scripts/Makefile.include

bindir ?= /usr/bin

# This will work when dma is built in tools env. where srctree
# isn't set and when invoked from selftests build, where srctree
# is set to ".". building_out_of_srctree is undefined for in srctree
# builds
ifndef building_out_of_srctree
srctree := $(patsubst %/,%,$(dir $(CURDIR)))
srctree := $(patsubst %/,%,$(dir $(srctree)))
endif

# Do not use make's built-in rules
# (this improves performance and avoids hard-to-debug behaviour);
MAKEFLAGS += -r

override CFLAGS += -O2 -Wall -g -D_GNU_SOURCE -I$(OUTPUT)include

ALL_TARGETS := dma_map_benchmark
ALL_PROGRAMS := $(patsubst %,$(OUTPUT)%,$(ALL_TARGETS))

all: $(ALL_PROGRAMS)

export srctree OUTPUT CC LD CFLAGS
include $(srctree)/tools/build/Makefile.include

#
# We need the following to be outside of kernel tree
#
$(OUTPUT)include/linux/map_benchmark.h: ../../include/uapi/linux/map_benchmark.h
	mkdir -p $(OUTPUT)include/linux 2>&1 || true
	ln -sf $(CURDIR)/../../include/uapi/linux/map_benchmark.h $@

prepare: $(OUTPUT)include/linux/map_benchmark.h

FORCE:

DMA_MAP_BENCHMARK = dma_map_benchmark
$(DMA_MAP_BENCHMARK): prepare FORCE
	$(CC) $(CFLAGS) $(DMA_MAP_BENCHMARK).c -o $(DMA_MAP_BENCHMARK)

clean:
	rm -f $(ALL_PROGRAMS)
	rm -rf $(OUTPUT)include
	find $(or $(OUTPUT),.) -name '*.o' -delete -o -name '\.*.d' -delete -o -name '\.*.cmd' -delete

install: $(ALL_PROGRAMS)
	install -d -m 755 $(DESTDIR)$(bindir);		\
	for program in $(ALL_PROGRAMS); do		\
		install $$program $(DESTDIR)$(bindir);	\
	done

.PHONY: all install clean prepare FORCE

=== tools/objtool/Makefile ===
# SPDX-License-Identifier: GPL-2.0
include ../scripts/Makefile.include
include ../scripts/Makefile.arch

ifeq ($(SRCARCH),x86)
	BUILD_ORC    := y
	ARCH_HAS_KLP := y
endif

ifeq ($(SRCARCH),loongarch)
	BUILD_ORC	   := y
endif

ifeq ($(ARCH_HAS_KLP),y)
	HAVE_XXHASH = $(shell printf "$(pound)include <xxhash.h>\nXXH3_state_t *state;int main() {}" | \
		      $(HOSTCC) -xc - -o /dev/null -lxxhash 2> /dev/null && echo y || echo n)
	ifeq ($(HAVE_XXHASH),y)
		BUILD_KLP	 := y
		LIBXXHASH_CFLAGS := $(shell $(HOSTPKG_CONFIG) libxxhash --cflags 2>/dev/null) \
				    -DBUILD_KLP
		LIBXXHASH_LIBS   := $(shell $(HOSTPKG_CONFIG) libxxhash --libs 2>/dev/null || echo -lxxhash)
	endif
endif

export BUILD_ORC BUILD_KLP

ifeq ($(srctree),)
srctree := $(patsubst %/,%,$(dir $(CURDIR)))
srctree := $(patsubst %/,%,$(dir $(srctree)))
endif

LIBSUBCMD_DIR = $(srctree)/tools/lib/subcmd/
ifneq ($(OUTPUT),)
  LIBSUBCMD_OUTPUT = $(abspath $(OUTPUT))/libsubcmd
else
  LIBSUBCMD_OUTPUT = $(CURDIR)/libsubcmd
endif
LIBSUBCMD = $(LIBSUBCMD_OUTPUT)/libsubcmd.a

OBJTOOL    := $(OUTPUT)objtool
OBJTOOL_IN := $(OBJTOOL)-in.o

LIBELF_FLAGS := $(shell $(HOSTPKG_CONFIG) libelf --cflags 2>/dev/null)
LIBELF_LIBS  := $(shell $(HOSTPKG_CONFIG) libelf --libs 2>/dev/null || echo -lelf)

all: $(OBJTOOL)

WARNINGS := -Werror -Wall -Wextra -Wmissing-prototypes			\
	    -Wmissing-declarations -Wwrite-strings			\
	    -Wno-implicit-fallthrough -Wno-sign-compare			\
	    -Wno-unused-parameter

INCLUDES := -I$(srctree)/tools/include \
	    -I$(srctree)/tools/include/uapi \
	    -I$(srctree)/tools/arch/$(HOSTARCH)/include/uapi \
	    -I$(srctree)/tools/arch/$(SRCARCH)/include	\
	    -I$(srctree)/tools/objtool/include \
	    -I$(srctree)/tools/objtool/arch/$(SRCARCH)/include \
	    -I$(LIBSUBCMD_OUTPUT)/include

OBJTOOL_CFLAGS  := -std=gnu11 -fomit-frame-pointer -O2 -g $(WARNINGS)	\
		   $(INCLUDES) $(LIBELF_FLAGS) $(LIBXXHASH_CFLAGS) $(HOSTCFLAGS)

OBJTOOL_LDFLAGS := $(LIBSUBCMD) $(LIBELF_LIBS) $(LIBXXHASH_LIBS) $(HOSTLDFLAGS)

# Allow old libelf to be used:
elfshdr := $(shell echo '$(pound)include <libelf.h>' | $(HOSTCC) $(OBJTOOL_CFLAGS) -x c -E - 2>/dev/null | grep elf_getshdr)
OBJTOOL_CFLAGS += $(if $(elfshdr),,-DLIBELF_USE_DEPRECATED)

# Always want host compilation.
HOST_OVERRIDES := CC="$(HOSTCC)" LD="$(HOSTLD)" AR="$(HOSTAR)"

#
# To support disassembly, objtool needs libopcodes which is provided
# with libbfd (binutils-dev or binutils-devel package).
#
# We check using HOSTCC directly rather than the shared feature framework
# because objtool is a host tool that links against host libraries.
#
# When using shared libraries, -lopcodes is sufficient as dependencies are
# resolved automatically. With static libraries, we must explicitly link
# against libopcodes' dependencies: libbfd, libiberty, and sometimes libz.
# Try each combination and use the first one that succeeds.
#
LIBOPCODES_LIBS := $(shell \
	for libs in "-lopcodes" \
		    "-lopcodes -lbfd" \
		    "-lopcodes -lbfd -liberty" \
		    "-lopcodes -lbfd -liberty -lz"; do \
		echo 'extern void disassemble_init_for_target(void *);' \
		     'int main(void) { disassemble_init_for_target(0); return 0; }' | \
			$(HOSTCC) -xc - -o /dev/null $$libs 2>/dev/null && \
			echo "$$libs" && break; \
	done)

# Styled disassembler support requires binutils >= 2.39
HAVE_DISASM_STYLED := $(shell echo '$(pound)include <dis-asm.h>' | \
			$(HOSTCC) -E -xc - 2>/dev/null | grep -q disassembler_style && echo y)

BUILD_DISAS := n

ifneq ($(LIBOPCODES_LIBS),)
	BUILD_DISAS := y
	OBJTOOL_CFLAGS += -DDISAS -DPACKAGE='"objtool"'
	OBJTOOL_LDFLAGS += $(LIBOPCODES_LIBS)
ifeq ($(HAVE_DISASM_STYLED),y)
	OBJTOOL_CFLAGS += -DDISASM_INIT_STYLED
endif
endif

export BUILD_DISAS

AWK = awk
MKDIR = mkdir

export srctree OUTPUT CFLAGS SRCARCH AWK
include $(srctree)/tools/build/Makefile.include

$(OBJTOOL_IN): fixdep $(LIBSUBCMD) FORCE
	$(Q)$(CONFIG_SHELL) ./sync-check.sh
	$(Q)$(MAKE) $(build)=objtool $(HOST_OVERRIDES) CFLAGS="$(OBJTOOL_CFLAGS)" \
		LDFLAGS="$(OBJTOOL_LDFLAGS)"


$(OBJTOOL): $(LIBSUBCMD) $(OBJTOOL_IN)
	$(QUIET_LINK)$(HOSTCC) $(OBJTOOL_IN) $(OBJTOOL_LDFLAGS) -o $@


$(LIBSUBCMD_OUTPUT):
	$(Q)$(MKDIR) -p $@

$(LIBSUBCMD): fixdep $(LIBSUBCMD_OUTPUT) FORCE
	$(Q)$(MAKE) -C $(LIBSUBCMD_DIR) O=$(LIBSUBCMD_OUTPUT) \
		DESTDIR=$(LIBSUBCMD_OUTPUT) prefix= subdir= \
		$(HOST_OVERRIDES) EXTRA_CFLAGS="$(OBJTOOL_CFLAGS)" \
		$@ install_headers

$(LIBSUBCMD)-clean:
	$(call QUIET_CLEAN, libsubcmd)
	$(Q)$(RM) -r -- $(LIBSUBCMD_OUTPUT)

clean: $(LIBSUBCMD)-clean
	$(call QUIET_CLEAN, objtool) $(RM) $(OBJTOOL)
	$(Q)find $(OUTPUT) -name '*.o' -delete -o -name '\.*.cmd' -delete -o -name '\.*.d' -delete
	$(Q)$(RM) $(OUTPUT)arch/x86/lib/cpu-feature-names.c $(OUTPUT)fixdep
	$(Q)$(RM) $(OUTPUT)arch/x86/lib/inat-tables.c $(OUTPUT)fixdep
	$(Q)$(RM) -- $(OUTPUT)FEATURE-DUMP.objtool
	$(Q)$(RM) -r -- $(OUTPUT)feature

FORCE:

.PHONY: clean FORCE

=== drivers/crypto/ccp/Makefile ===
# SPDX-License-Identifier: GPL-2.0
obj-$(CONFIG_CRYPTO_DEV_CCP_DD) += ccp.o
ccp-objs  := sp-dev.o sp-platform.o
ccp-$(CONFIG_CRYPTO_DEV_SP_CCP) += ccp-dev.o \
	    ccp-ops.o \
	    ccp-dev-v3.o \
	    ccp-dev-v5.o \
	    ccp-dmaengine.o
ccp-$(CONFIG_CRYPTO_DEV_CCP_DEBUGFS) += ccp-debugfs.o
ccp-$(CONFIG_PCI) += sp-pci.o
ccp-$(CONFIG_CRYPTO_DEV_SP_PSP) += psp-dev.o \
                                   sev-dev.o \
                                   tee-dev.o \
                                   platform-access.o \
                                   dbc.o \
                                   hsti.o \
                                   sfs.o

ifeq ($(CONFIG_PCI_TSM),y)
ccp-$(CONFIG_CRYPTO_DEV_SP_PSP) += sev-dev-tsm.o sev-dev-tio.o
endif

obj-$(CONFIG_CRYPTO_DEV_CCP_CRYPTO) += ccp-crypto.o
ccp-crypto-objs := ccp-crypto-main.o \
		   ccp-crypto-aes.o \
		   ccp-crypto-aes-cmac.o \
		   ccp-crypto-aes-xts.o \
		   ccp-crypto-aes-galois.o \
		   ccp-crypto-des3.o \
		   ccp-crypto-rsa.o \
		   ccp-crypto-sha.o

=== drivers/ufs/core/Makefile ===
# SPDX-License-Identifier: GPL-2.0

obj-$(CONFIG_SCSI_UFSHCD)		+= ufshcd-core.o
ufshcd-core-y				+= ufshcd.o ufs-sysfs.o ufs-mcq.o
ufshcd-core-$(CONFIG_RPMB)		+= ufs-rpmb.o
ufshcd-core-$(CONFIG_DEBUG_FS)		+= ufs-debugfs.o
ufshcd-core-$(CONFIG_SCSI_UFS_BSG)	+= ufs_bsg.o
ufshcd-core-$(CONFIG_SCSI_UFS_CRYPTO)	+= ufshcd-crypto.o
ufshcd-core-$(CONFIG_SCSI_UFS_FAULT_INJECTION) += ufs-fault-injection.o
ufshcd-core-$(CONFIG_SCSI_UFS_HWMON)	+= ufs-hwmon.o

=== sound/soc/codecs/Makefile ===
# SPDX-License-Identifier: GPL-2.0
snd-soc-88pm860x-y := 88pm860x-codec.o
snd-soc-ab8500-codec-y := ab8500-codec.o
snd-soc-ac97-y := ac97.o
snd-soc-ad1836-y := ad1836.o
snd-soc-ad193x-y := ad193x.o
snd-soc-ad193x-spi-y := ad193x-spi.o
snd-soc-ad193x-i2c-y := ad193x-i2c.o
snd-soc-ad1980-y := ad1980.o
snd-soc-ad73311-y := ad73311.o
snd-soc-adau-utils-y := adau-utils.o
snd-soc-adau1372-y := adau1372.o
snd-soc-adau1372-i2c-y := adau1372-i2c.o
snd-soc-adau1372-spi-y := adau1372-spi.o
snd-soc-adau1373-y := adau1373.o
snd-soc-adau1701-y := adau1701.o
snd-soc-adau17x1-y := adau17x1.o
snd-soc-adau1761-y := adau1761.o
snd-soc-adau1761-i2c-y := adau1761-i2c.o
snd-soc-adau1761-spi-y := adau1761-spi.o
snd-soc-adau1781-y := adau1781.o
snd-soc-adau1781-i2c-y := adau1781-i2c.o
snd-soc-adau1781-spi-y := adau1781-spi.o
snd-soc-adau1977-y := adau1977.o
snd-soc-adau1977-spi-y := adau1977-spi.o
snd-soc-adau1977-i2c-y := adau1977-i2c.o
snd-soc-adau7002-y := adau7002.o
snd-soc-adau7118-y := adau7118.o
snd-soc-adau7118-i2c-y := adau7118-i2c.o
snd-soc-adau7118-hw-y := adau7118-hw.o
snd-soc-adav80x-y := adav80x.o
snd-soc-adav801-y := adav801.o
snd-soc-adav803-y := adav803.o
snd-soc-ads117x-y := ads117x.o
snd-soc-ak4104-y := ak4104.o
snd-soc-ak4118-y := ak4118.o
snd-soc-ak4375-y := ak4375.o
snd-soc-ak4458-y := ak4458.o
snd-soc-ak4535-y := ak4535.o
snd-soc-ak4554-y := ak4554.o
snd-soc-ak4613-y := ak4613.o
snd-soc-ak4619-y := ak4619.o
snd-soc-ak4641-y := ak4641.o
snd-soc-ak4642-y := ak4642.o
snd-soc-ak4671-y := ak4671.o
snd-soc-ak5386-y := ak5386.o
snd-soc-ak5558-y := ak5558.o
snd-soc-arizona-y := arizona.o arizona-jack.o
snd-soc-audio-iio-aux-y := audio-iio-aux.o
snd-soc-aw8738-y := aw8738.o
snd-soc-aw87390-y := aw87390.o
snd-soc-aw88081-y := aw88081.o
snd-soc-aw88395-lib-y := aw88395/aw88395_lib.o \
			aw88395/aw88395_device.o
snd-soc-aw88395-y := aw88395/aw88395.o
snd-soc-aw88166-y := aw88166.o
snd-soc-aw88261-y := aw88261.o
snd-soc-aw88399-y := aw88399.o
snd-soc-bd28623-y := bd28623.o
snd-soc-bt-sco-y := bt-sco.o
snd-soc-chv3-codec-y := chv3-codec.o
snd-soc-cpcap-y := cpcap.o
snd-soc-cq93vc-y := cq93vc.o
snd-soc-cros-ec-codec-y := cros_ec_codec.o
snd-soc-cs-amp-lib-y := cs-amp-lib.o
snd-soc-cs-amp-lib-test-y := cs-amp-lib-test.o
snd-soc-cs35l32-y := cs35l32.o
snd-soc-cs35l33-y := cs35l33.o
snd-soc-cs35l34-y := cs35l34.o
snd-soc-cs35l35-y := cs35l35.o
snd-soc-cs35l36-y := cs35l36.o
snd-soc-cs35l41-lib-y := cs35l41-lib.o
snd-soc-cs35l41-y := cs35l41.o
snd-soc-cs35l41-spi-y := cs35l41-spi.o
snd-soc-cs35l41-i2c-y := cs35l41-i2c.o
snd-soc-cs35l45-y := cs35l45.o cs35l45-tables.o
snd-soc-cs35l45-spi-y := cs35l45-spi.o
snd-soc-cs35l45-i2c-y := cs35l45-i2c.o
snd-soc-cs35l56-y := cs35l56.o
snd-soc-cs35l56-shared-y := cs35l56-shared.o
snd-soc-cs35l56-i2c-y := cs35l56-i2c.o
snd-soc-cs35l56-spi-y := cs35l56-spi.o
snd-soc-cs35l56-sdw-y := cs35l56-sdw.o
snd-soc-cs40l50-y := cs40l50-codec.o
snd-soc-cs42l42-y := cs42l42.o
snd-soc-cs42l42-i2c-y := cs42l42-i2c.o
snd-soc-cs42l42-sdw-y := cs42l42-sdw.o
snd-soc-cs42l43-y := cs42l43.o cs42l43-jack.o
snd-soc-cs42l43-sdw-y := cs42l43-sdw.o
snd-soc-cs42l51-y := cs42l51.o
snd-soc-cs42l51-i2c-y := cs42l51-i2c.o
snd-soc-cs42l52-y := cs42l52.o
snd-soc-cs42l56-y := cs42l56.o
snd-soc-cs42l73-y := cs42l73.o
snd-soc-cs42l83-i2c-y := cs42l83-i2c.o
snd-soc-cs42l84-y := cs42l84.o
snd-soc-cs4234-y := cs4234.o
snd-soc-cs4265-y := cs4265.o
snd-soc-cs4270-y := cs4270.o
snd-soc-cs4271-y := cs4271.o
snd-soc-cs4271-i2c-y := cs4271-i2c.o
snd-soc-cs4271-spi-y := cs4271-spi.o
snd-soc-cs42xx8-y := cs42xx8.o
snd-soc-cs42xx8-i2c-y := cs42xx8-i2c.o
snd-soc-cs43130-y := cs43130.o
snd-soc-cs4341-y := cs4341.o
snd-soc-cs4349-y := cs4349.o
snd-soc-cs47l15-y := cs47l15.o
snd-soc-cs47l24-y := cs47l24.o
snd-soc-cs47l35-y := cs47l35.o
snd-soc-cs47l85-y := cs47l85.o
snd-soc-cs47l90-y := cs47l90.o
snd-soc-cs47l92-y := cs47l92.o
snd-soc-cs48l32-y := cs48l32.o cs48l32-tables.o
snd-soc-cs53l30-y := cs53l30.o
snd-soc-cs530x-y := cs530x.o
snd-soc-cs530x-i2c-y := cs530x-i2c.o
snd-soc-cs530x-spi-y := cs530x-spi.o
snd-soc-cx20442-y := cx20442.o
snd-soc-cx2072x-y := cx2072x.o
snd-soc-da7210-y := da7210.o
snd-soc-da7213-y := da7213.o
snd-soc-da7218-y := da7218.o
snd-soc-da7219-y := da7219.o da7219-aad.o
snd-soc-da732x-y := da732x.o
snd-soc-da9055-y := da9055.o
snd-soc-dmic-y := dmic.o
snd-soc-es7134-y := es7134.o
snd-soc-es7241-y := es7241.o
snd-soc-es83xx-dsm-common-y := es83xx-dsm-common.o
snd-soc-es8311-y := es8311.o
snd-soc-es8316-y := es8316.o
snd-soc-es8323-y := es8323.o
snd-soc-es8326-y := es8326.o
snd-soc-es8328-y := es8328.o
snd-soc-es8328-i2c-y := es8328-i2c.o
snd-soc-es8328-spi-y := es8328-spi.o
snd-soc-es8375-y := es8375.o
snd-soc-es8389-y := es8389.o
snd-soc-framer-y := framer-codec.o
snd-soc-fs-amp-lib-y := fs-amp-lib.o
snd-soc-fs210x-y := fs210x.o
snd-soc-gtm601-y := gtm601.o
snd-soc-hdac-hdmi-y := hdac_hdmi.o
snd-soc-hdac-hda-y := hdac_hda.o
snd-soc-hda-codec-y := hda.o hda-dai.o
snd-soc-ics43432-y := ics43432.o
snd-soc-idt821034-y := idt821034.o
snd-soc-inno-rk3036-y := inno_rk3036.o
snd-soc-isabelle-y := isabelle.o
snd-soc-jz4740-codec-y := jz4740.o
snd-soc-jz4725b-codec-y := jz4725b.o
snd-soc-jz4760-codec-y := jz4760.o
snd-soc-jz4770-codec-y := jz4770.o
snd-soc-lm4857-y := lm4857.o
snd-soc-lm49453-y := lm49453.o
snd-soc-lochnagar-sc-y := lochnagar-sc.o
snd-soc-lpass-macro-common-y := lpass-macro-common.o
snd-soc-lpass-rx-macro-y := lpass-rx-macro.o
snd-soc-lpass-tx-macro-y := lpass-tx-macro.o
snd-soc-lpass-wsa-macro-y := lpass-wsa-macro.o
snd-soc-lpass-va-macro-y := lpass-va-macro.o
snd-soc-madera-y := madera.o
snd-soc-max9759-y := max9759.o
snd-soc-max9768-y := max9768.o
snd-soc-max98088-y := max98088.o
snd-soc-max98090-y := max98090.o
snd-soc-max98095-y := max98095.o
snd-soc-max98357a-y := max98357a.o
snd-soc-max98371-y := max98371.o
snd-soc-max9867-y := max9867.o
snd-soc-max98925-y := max98925.o
snd-soc-max98926-y := max98926.o
snd-soc-max98927-y := max98927.o
snd-soc-max98520-y := max98520.o
snd-soc-max98363-y := max98363.o
snd-soc-max98373-y := max98373.o
snd-soc-max98373-i2c-y := max98373-i2c.o
snd-soc-max98373-sdw-y := max98373-sdw.o
snd-soc-max98388-y := max98388.o
snd-soc-max98390-y := max98390.o
snd-soc-max98396-y := max98396.o
snd-soc-max9850-y := max9850.o
snd-soc-max9860-y := max9860.o
snd-soc-mc13783-y := mc13783.o
snd-soc-ml26124-y := ml26124.o
snd-soc-msm8916-analog-y := msm8916-wcd-analog.o
snd-soc-msm8916-digital-y := msm8916-wcd-digital.o
snd-soc-mt6351-y := mt6351.o
snd-soc-mt6357-y := mt6357.o
snd-soc-mt6358-y := mt6358.o
snd-soc-mt6359-y := mt6359.o
snd-soc-mt6359-accdet-y := mt6359-accdet.o
snd-soc-mt6660-y := mt6660.o
snd-soc-nau8315-y := nau8315.o
snd-soc-nau8325-y := nau8325.o
snd-soc-nau8540-y := nau8540.o
snd-soc-nau8810-y := nau8810.o
snd-soc-nau8821-y := nau8821.o
snd-soc-nau8822-y := nau8822.o
snd-soc-nau8824-y := nau8824.o
snd-soc-nau8825-y := nau8825.o
snd-soc-ntp8835-y := ntp8835.o
snd-soc-ntp8918-y := ntp8918.o
snd-soc-ntpfw-y := ntpfw.o
snd-soc-hdmi-codec-y := hdmi-codec.o
snd-soc-pcm1681-y := pcm1681.o
snd-soc-pcm1754-y := pcm1754.o
snd-soc-pcm1789-codec-y := pcm1789.o
snd-soc-pcm1789-i2c-y := pcm1789-i2c.o
snd-soc-pcm179x-codec-y := pcm179x.o
snd-soc-pcm179x-i2c-y := pcm179x-i2c.o
snd-soc-pcm179x-spi-y := pcm179x-spi.o
snd-soc-pcm186x-y := pcm186x.o
snd-soc-pcm186x-i2c-y := pcm186x-i2c.o
snd-soc-pcm186x-spi-y := pcm186x-spi.o
snd-soc-pcm3008-y := pcm3008.o
snd-soc-pcm3060-y := pcm3060.o
snd-soc-pcm3060-i2c-y := pcm3060-i2c.o
snd-soc-pcm3060-spi-y := pcm3060-spi.o
snd-soc-pcm3168a-y := pcm3168a.o
snd-soc-pcm3168a-i2c-y := pcm3168a-i2c.o
snd-soc-pcm3168a-spi-y := pcm3168a-spi.o
snd-soc-pcm5102a-y := pcm5102a.o
snd-soc-pcm512x-y := pcm512x.o
snd-soc-pcm512x-i2c-y := pcm512x-i2c.o
snd-soc-pcm512x-spi-y := pcm512x-spi.o
snd-soc-pcm6240-y := pcm6240.o
snd-soc-peb2466-y := peb2466.o
snd-soc-pm4125-y := pm4125.o
snd-soc-pm4125-sdw-y := pm4125-sdw.o
snd-soc-rk3308-y := rk3308_codec.o
snd-soc-rk3328-y := rk3328_codec.o
snd-soc-rk817-y := rk817_codec.o
snd-soc-rl6231-y := rl6231.o
snd-soc-rt-sdw-common-y := rt-sdw-common.o
snd-soc-rl6347a-y := rl6347a.o
snd-soc-rt1011-y := rt1011.o
snd-soc-rt1015-y := rt1015.o
snd-soc-rt1015p-y := rt1015p.o
snd-soc-rt1016-y := rt1016.o
snd-soc-rt1017-sdca-y := rt1017-sdca-sdw.o
snd-soc-rt1019-y := rt1019.o
snd-soc-rt1305-y := rt1305.o
snd-soc-rt1308-y := rt1308.o
snd-soc-rt1308-sdw-y := rt1308-sdw.o
snd-soc-rt1316-sdw-y := rt1316-sdw.o
snd-soc-rt1318-y := rt1318.o
snd-soc-rt1318-sdw-y := rt1318-sdw.o
snd-soc-rt1320-sdw-y := rt1320-sdw.o
snd-soc-rt274-y := rt274.o
snd-soc-rt286-y := rt286.o
snd-soc-rt298-y := rt298.o
snd-soc-rt5514-y := rt5514.o
snd-soc-rt5514-spi-y := rt5514-spi.o
snd-soc-rt5616-y := rt5616.o
snd-soc-rt5631-y := rt5631.o
snd-soc-rt5640-y := rt5640.o
snd-soc-rt5645-y := rt5645.o
snd-soc-rt5651-y := rt5651.o
snd-soc-rt5659-y := rt5659.o
snd-soc-rt5660-y := rt5660.o
snd-soc-rt5663-y := rt5663.o
snd-soc-rt5665-y := rt5665.o
snd-soc-rt5668-y := rt5668.o
snd-soc-rt5670-y := rt5670.o
snd-soc-rt5677-y := rt5677.o
snd-soc-rt5677-spi-y := rt5677-spi.o
snd-soc-rt5682-y := rt5682.o
snd-soc-rt5682-sdw-y := rt5682-sdw.o
snd-soc-rt5682-i2c-y := rt5682-i2c.o
snd-soc-rt5682s-y := rt5682s.o
snd-soc-rt700-y := rt700.o rt700-sdw.o
snd-soc-rt711-y := rt711.o rt711-sdw.o
snd-soc-rt711-sdca-y := rt711-sdca.o rt711-sdca-sdw.o
snd-soc-rt712-sdca-y := rt712-sdca.o rt712-sdca-sdw.o
snd-soc-rt712-sdca-dmic-y := rt712-sdca-dmic.o
snd-soc-rt715-y := rt715.o rt715-sdw.o
snd-soc-rt715-sdca-y := rt715-sdca.o rt715-sdca-sdw.o
snd-soc-rt721-sdca-y := rt721-sdca.o rt721-sdca-sdw.o
snd-soc-rt722-sdca-y := rt722-sdca.o rt722-sdca-sdw.o
snd-soc-rt9120-y := rt9120.o
snd-soc-rt9123-y := rt9123.o
snd-soc-rt9123p-y := rt9123p.o
snd-soc-rtq9124-y := rtq9124.o
snd-soc-rtq9128-y := rtq9128.o
snd-soc-sdw-mockup-y := sdw-mockup.o
snd-soc-sgtl5000-y := sgtl5000.o
snd-soc-alc5623-y := alc5623.o
snd-soc-alc5632-y := alc5632.o
snd-soc-sigmadsp-y := sigmadsp.o
snd-soc-sigmadsp-i2c-y := sigmadsp-i2c.o
snd-soc-sigmadsp-regmap-y := sigmadsp-regmap.o
snd-soc-si476x-y := si476x.o
snd-soc-sma1303-y := sma1303.o
snd-soc-sma1307-y := sma1307.o
snd-soc-spdif-tx-y := spdif_transmitter.o
snd-soc-spdif-rx-y := spdif_receiver.o
snd-soc-src4xxx-y := src4xxx.o
snd-soc-src4xxx-i2c-y := src4xxx-i2c.o
snd-soc-ssm2305-y := ssm2305.o
snd-soc-ssm2518-y := ssm2518.o
snd-soc-ssm2602-y := ssm2602.o
snd-soc-ssm2602-spi-y := ssm2602-spi.o
snd-soc-ssm2602-i2c-y := ssm2602-i2c.o
snd-soc-ssm3515-y := ssm3515.o
snd-soc-ssm4567-y := ssm4567.o
snd-soc-sta32x-y := sta32x.o
snd-soc-sta350-y := sta350.o
snd-soc-sta529-y := sta529.o
snd-soc-stac9766-y := stac9766.o
snd-soc-sti-sas-y := sti-sas.o
snd-soc-tas5086-y := tas5086.o
snd-soc-tas571x-y := tas571x.o
snd-soc-tas5720-y := tas5720.o
snd-soc-tas5805m-y := tas5805m.o
snd-soc-tas6424-y := tas6424.o
snd-soc-tda7419-y := tda7419.o
snd-soc-tas2770-y := tas2770.o
snd-soc-tas2781-comlib-y := tas2781-comlib.o
snd-soc-tas2781-comlib-i2c-y := tas2781-comlib-i2c.o
snd-soc-tas2781-fmwlib-y := tas2781-fmwlib.o
snd-soc-tas2781-i2c-y := tas2781-i2c.o
snd-soc-tas2783-sdw-y := tas2783-sdw.o
snd-soc-tfa9879-y := tfa9879.o
snd-soc-tfa989x-y := tfa989x.o
snd-soc-tlv320adc3xxx-y := tlv320adc3xxx.o
snd-soc-tlv320aic23-y := tlv320aic23.o
snd-soc-tlv320aic23-i2c-y := tlv320aic23-i2c.o
snd-soc-tlv320aic23-spi-y := tlv320aic23-spi.o
snd-soc-tlv320aic26-y := tlv320aic26.o
snd-soc-tlv320aic31xx-y := tlv320aic31xx.o
snd-soc-tlv320aic32x4-y := tlv320aic32x4.o tlv320aic32x4-clk.o
snd-soc-tlv320aic32x4-i2c-y := tlv320aic32x4-i2c.o
snd-soc-tlv320aic32x4-spi-y := tlv320aic32x4-spi.o
snd-soc-tlv320aic3x-y := tlv320aic3x.o
snd-soc-tlv320aic3x-i2c-y := tlv320aic3x-i2c.o
snd-soc-tlv320aic3x-spi-y := tlv320aic3x-spi.o
snd-soc-tlv320dac33-y := tlv320dac33.o
snd-soc-tlv320adcx140-y := tlv320adcx140.o
snd-soc-tscs42xx-y := tscs42xx.o
snd-soc-tscs454-y := tscs454.o
snd-soc-ts3a227e-y := ts3a227e.o
snd-soc-twl4030-y := twl4030.o
snd-soc-twl6040-y := twl6040.o
snd-soc-uda1334-y := uda1334.o

=== ubuntu/igh-ecat/master/Makefile ===
ccflags-y := -I$(src)/../ \
	-Wmaybe-uninitialized

obj-$(CONFIG_IGH_ECAT) += ec_master.o

ec_master-$(CONFIG_IGH_ECAT) := \
	cdev.o \
	coe_emerg_ring.o \
	datagram.o \
	datagram_pair.o \
	device.o \
	domain.o \
	flag.o \
	fmmu_config.o \
	foe_request.o \
	fsm_change.o \
	fsm_coe.o \
	fsm_foe.o \
	fsm_master.o \
	fsm_pdo.o \
	fsm_pdo_entry.o \
	fsm_sii.o \
	fsm_slave.o \
	fsm_slave_config.o \
	fsm_slave_scan.o \
	fsm_soe.o \
	ioctl.o \
	mailbox.o \
	master.o \
	module.o \
	pdo.o \
	pdo_entry.o \
	pdo_list.o \
	reg_request.o \
	sdo.o \
	sdo_entry.o \
	sdo_request.o \
	slave.o \
	slave_config.o \
	soe_errors.o \
	soe_request.o \
	sync.o \
	sync_config.o \
	voe_handler.o

ec_master-$(CONFIG_IGH_ECAT_ENABLE_EOE) += eoe_request.o ethernet.o fsm_eoe.o

=== arch/mips/boot/dts/Makefile ===
# SPDX-License-Identifier: GPL-2.0
subdir-y	+= brcm
subdir-y	+= cavium-octeon
subdir-y	+= econet
subdir-y	+= mobileye
subdir-y	+= img
subdir-y	+= ingenic
subdir-y	+= lantiq
subdir-y	+= loongson
subdir-y	+= mscc
subdir-y	+= mti
subdir-y	+= ni
subdir-y	+= pic32
subdir-y	+= qca
subdir-y	+= ralink
subdir-y	+= realtek
subdir-y	+= xilfpga

=== tools/testing/selftests/net/mptcp/Makefile ===
# SPDX-License-Identifier: GPL-2.0

top_srcdir = ../../../../..

CFLAGS += -Wall -Wl,--no-as-needed -O2 -g -I$(top_srcdir)/usr/include $(KHDR_INCLUDES)
CFLAGS += -I$(top_srcdir)/tools/include

TEST_PROGS := \
	diag.sh \
	mptcp_connect.sh \
	mptcp_connect_checksum.sh \
	mptcp_connect_mmap.sh \
	mptcp_connect_sendfile.sh \
	mptcp_join.sh \
	mptcp_sockopt.sh \
	pm_netlink.sh \
	simult_flows.sh \
	userspace_pm.sh \
# end of TEST_PROGS

TEST_GEN_FILES := \
	mptcp_connect \
	mptcp_diag \
	mptcp_inq \
	mptcp_sockopt \
	pm_nl_ctl \
# end of TEST_GEN_FILES

TEST_FILES := \
	mptcp_lib.sh \
	settings \
# end of TEST_FILES

TEST_INCLUDES := ../lib.sh $(wildcard ../lib/sh/*.sh)

EXTRA_CLEAN := *.pcap

include ../../lib.mk

=== arch/arm/boot/dts/ti/omap/Makefile ===
# SPDX-License-Identifier: GPL-2.0
dtb-$(CONFIG_ARCH_OMAP2) += \
	omap2420-h4.dtb \
	omap2420-n800.dtb \
	omap2420-n810.dtb \
	omap2420-n810-wimax.dtb \
	omap2430-sdp.dtb
dtb-$(CONFIG_ARCH_OMAP3) += \
	am3517-craneboard.dtb \
	am3517-evm.dtb \
	am3517_mt_ventoux.dtb \
	logicpd-torpedo-35xx-devkit.dtb \
	logicpd-torpedo-37xx-devkit.dtb \
	logicpd-torpedo-37xx-devkit-28.dtb \
	logicpd-som-lv-35xx-devkit.dtb \
	logicpd-som-lv-37xx-devkit.dtb \
	omap3430-sdp.dtb \
	omap3-beagle.dtb \
	omap3-beagle-ab4.dtb \
	omap3-beagle-xm.dtb \
	omap3-beagle-xm-ab.dtb \
	omap3-cm-t3517.dtb \
	omap3-cm-t3530.dtb \
	omap3-cm-t3730.dtb \
	omap3-devkit8000.dtb \
	omap3-devkit8000-lcd43.dtb \
	omap3-devkit8000-lcd70.dtb \
	omap3-echo.dtb \
	omap3-evm.dtb \
	omap3-evm-37xx.dtb \
	omap3-gta04a3.dtb \
	omap3-gta04a4.dtb \
	omap3-gta04a5.dtb \
	omap3-gta04a5one.dtb \
	omap3-ha.dtb \
	omap3-ha-lcd.dtb \
	omap3-igep0020.dtb \
	omap3-igep0020-rev-f.dtb \
	omap3-igep0030.dtb \
	omap3-igep0030-rev-g.dtb \
	omap3-ldp.dtb \
	omap3-lilly-dbb056.dtb \
	omap3-n900.dtb \
	omap3-n9.dtb \
	omap3-n950.dtb \
	omap3-overo-alto35.dtb \
	omap3-overo-chestnut43.dtb \
	omap3-overo-gallop43.dtb \
	omap3-overo-palo35.dtb \
	omap3-overo-palo43.dtb \
	omap3-overo-storm-alto35.dtb \
	omap3-overo-storm-chestnut43.dtb \
	omap3-overo-storm-gallop43.dtb \
	omap3-overo-storm-palo35.dtb \
	omap3-overo-storm-palo43.dtb \
	omap3-overo-storm-summit.dtb \
	omap3-overo-storm-tobi.dtb \
	omap3-overo-storm-tobiduo.dtb \
	omap3-overo-summit.dtb \
	omap3-overo-tobi.dtb \
	omap3-overo-tobiduo.dtb \
	omap3-pandora-600mhz.dtb \
	omap3-pandora-1ghz.dtb \
	omap3-sbc-t3517.dtb \
	omap3-sbc-t3530.dtb \
	omap3-sbc-t3730.dtb \
	omap3-sniper.dtb \
	omap3-thunder.dtb \
	omap3-zoom3.dtb
dtb-$(CONFIG_ARCH_OMAP4) += \
	omap4-droid-bionic-xt875.dtb \
	omap4-droid4-xt894.dtb \
	omap4-duovero-parlor.dtb \
	omap4-epson-embt2ws.dtb \
	omap4-kc1.dtb \
	omap4-panda.dtb \
	omap4-panda-a4.dtb \
	omap4-panda-es.dtb \
	omap4-sdp.dtb \
	omap4-sdp-es23plus.dtb \
	omap4-var-dvk-om44.dtb \
	omap4-var-stk-om44.dtb \
	omap4-xyboard-mz609.dtb \
	omap4-xyboard-mz617.dtb
dtb-$(CONFIG_SOC_AM33XX) += \
	am335x-baltos-ir2110.dtb \
	am335x-baltos-ir3220.dtb \
	am335x-baltos-ir5221.dtb \
	am335x-base0033.dtb \
	am335x-bone.dtb \
	am335x-boneblack.dtb \
	am335x-boneblack-wireless.dtb \
	am335x-boneblue.dtb \
	am335x-bonegreen.dtb \
	am335x-bonegreen-wireless.dtb \
	am335x-bonegreen-eco.dtb \
	am335x-chiliboard.dtb \
	am335x-cm-t335.dtb \
	am335x-evm.dtb \
	am335x-evmsk.dtb \
	am335x-guardian.dtb \
	am335x-icev2.dtb \
	am335x-lxm.dtb \
	am335x-mba335x.dtb \
	am335x-moxa-uc-2101.dtb \
	am335x-moxa-uc-8100-me-t.dtb \
	am335x-myirtech-myd.dtb \
	am335x-nano.dtb \
	am335x-netcan-plus-1xx.dtb \
	am335x-netcom-plus-2xx.dtb \
	am335x-netcom-plus-8xx.dtb \
	am335x-pdu001.dtb \
	am335x-pepper.dtb \
	am335x-phycore-rdk.dtb \
	am335x-pocketbeagle.dtb \
	am335x-regor-rdk.dtb \
	am335x-sancloud-bbe.dtb \
	am335x-sancloud-bbe-lite.dtb \
	am335x-sancloud-bbe-extended-wifi.dtb \
	am335x-shc.dtb \
	am335x-sbc-t335.dtb \
	am335x-sl50.dtb \
	am335x-wega-rdk.dtb \
	am335x-osd3358-sm-red.dtb
dtb-$(CONFIG_SOC_AM43XX) += \
	am43x-epos-evm.dtb \
	am437x-cm-t43.dtb \
	am437x-gp-evm.dtb \
	am437x-idk-evm.dtb \
	am437x-sbc-t43.dtb \
	am437x-sk-evm.dtb

am57xx-evm-dtbs := am57xx-beagle-x15.dtb am57xx-evm.dtbo
am57xx-evm-reva3-dtbs := am57xx-beagle-x15-revc.dtb am57xx-evm.dtbo

am571x-idk-overlays-dtbs := am571x-idk.dtb \
	am571x-idk-touchscreen.dtbo am57xx-idk-lcd-osd101t2587.dtbo
am572x-idk-overlays-dtbs := am572x-idk.dtb \
	am572x-idk-touchscreen.dtbo am57xx-idk-lcd-osd101t2045.dtbo

# Build time test only, enabled by CONFIG_OF_ALL_DTBS
dtb- += \
	am571x-idk-overlays.dtb \
	am572x-idk-overlays.dtb

dtb-$(CONFIG_SOC_DRA7XX) += \
	am57xx-beagle-x15.dtb \
	am57xx-beagle-x15-revb1.dtb \
	am57xx-beagle-x15-revc.dtb \
	am57xx-evm.dtb \
	am57xx-evm-reva3.dtb \
	am5729-beagleboneai.dtb \
	am57xx-cl-som-am57x.dtb \
	am57xx-sbc-am57x.dtb \
	am572x-idk.dtb \
	am572x-idk-touchscreen.dtbo \
	am571x-idk.dtb \
	am571x-idk-touchscreen.dtbo \
	am574x-idk.dtb \
	am57xx-idk-lcd-osd101t2045.dtbo \
	am57xx-idk-lcd-osd101t2587.dtbo \
	dra7-evm.dtb \
	dra72-evm.dtb \
	dra72-evm-revc.dtb \
	dra71-evm.dtb \
	dra76-evm.dtb
dtb-$(CONFIG_SOC_OMAP5) += \
	omap5-cm-t54.dtb \
	omap5-igep0050.dtb \
	omap5-sbc-t54.dtb \
	omap5-uevm.dtb
dtb-$(CONFIG_SOC_TI81XX) += \
	am3874-iceboard.dtb \
	dm8148-evm.dtb \
	dm8148-t410.dtb \
	dm8168-evm.dtb \
	dra62x-j5eco-evm.dtb

=== debian/changelog ===
linux-aws (6.19.0-1002.2) resolute; urgency=medium

  * resolute/linux-aws: 6.19.0-1002.2 -proposed tracker (LP: #2140301)

  * Miscellaneous Ubuntu changes
    - SAUCE: HIBERNATION: xen: fixup syscore API changes

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 04 Feb 2026 11:37:23 +0100

linux-aws (6.19.0-1001.1) resolute; urgency=medium

  * resolute/linux-aws: 6.19.0-1001.1 -proposed tracker (LP: #2139182)

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] update update.conf
    - [Packaging] debian.aws/dkms-versions -- update from kernel-versions
      (main/d2026.01.20)

  * Miscellaneous Ubuntu changes
    - [packaging] move to resolute
    - [Packaging] update Ubuntu.md
    - [Packaging] move to 6.19
    - [Config] updateconfigs after 6.19.0-3.3 rebase

  [ Ubuntu: 6.19.0-3.3 ]

  * resolute/linux: 6.19.0-3.3 -proposed tracker (LP: #2138935)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2026.01.12)
    - [Packaging] update variants
  * [26.04] Please test secureboot and lock-down with 6.18 kernel (s390x) on
    Resolute Raccoon (LP: #2131805)
    - SAUCE: s390/boot/vmlinux.lds.S: Ensure bzImage ends with SecureBoot
      trailer
  * unconfined profile denies userns_create for chromium based processes
    - [Config] disable CONFIG_SECURITY_APPARMOR_RESTRICT_USERNS
  * update apparmor and LSM stacking patch set
    - SAUCE: apparmor5.0.0 [1/53]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor5.0.0 [2/53]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor5.0.0 [3/53]: Stacking: Audit: Call only the first of the
      audit rule hooks
    - SAUCE: apparmor5.0.0 [4/53]: Stacking: AppArmor: Remove the exclusive
      flag
    - SAUCE: apparmor5.0.0 [5/53]: apparmor-next 7.0: apparmor: replace
      sprintf with snprintf in aa_new_learning_profile
    - SAUCE: apparmor5.0.0 [6/53]: apparmor-next 7.0: apparmor: Replace
      sprintf/strcpy with scnprintf/strscpy in aa_policy_init
    - SAUCE: apparmor5.0.0 [7/53]: apparmor-next 7.0: apparmor: Replace
      deprecated strcpy in d_namespace_path
    - SAUCE: apparmor5.0.0 [8/53]: apparmor-next 7.0: apparmor: fix NULL
      pointer dereference in __unix_needs_revalidation
    - SAUCE: apparmor5.0.0 [9/53]: apparmor-next 7.0: apparmor: fix NULL sock
      in aa_sock_file_perm
    - SAUCE: apparmor5.0.0 [10/53]: apparmor-next 7.0: apparmor: Replace
      deprecated strcpy with memcpy in gen_symlink_name
    - SAUCE: apparmor5.0.0 [11/53]: apparmor-next 7.0: AppArmor: Allow
      apparmor to handle unaligned dfa tables
    - SAUCE: apparmor5.0.0 [12/53]: apparmor-next 7.0: apparmor: Fix &
      Optimize table creation from possibly unaligned memory
    - SAUCE: apparmor5.0.0 [13/53]: apparmor-next 7.0: apparmor: make str
      table more generic and be able to have multiple entries
    - SAUCE: apparmor5.0.0 [14/53]: apparmor-next 7.0: apparmor: add support
      loading per permission tagging
    - SAUCE: apparmor5.0.0 [15/53]: apparmor-next 7.0: aoparmor: userns: Add
      support for execpath in userns
    - SAUCE: apparmor5.0.0 [16/53]: apparmor-next 7.0: apparmor: fix boolean
      argument in apparmor_mmap_file
    - SAUCE: apparmor5.0.0 [17/53]: apparmor-next 7.0: apparmor: drop
      in_atomic flag in common_mmap, and common_file_perm
    - SAUCE: apparmor5.0.0 [18/53]: apparmor-next 7.0: apparmor: account for
      in_atomic removal in common_file_perm
    - SAUCE: apparmor5.0.0 [19/53]: apparmor-next 7.0: apparmor: return
      -ENOMEM in unpack_perms_table upon alloc failure
    - SAUCE: apparmor5.0.0 [20/53]: apparmor-next 7.0: apparmor: guard against
      free routines being called with a NULL
    - SAUCE: apparmor5.0.0 [21/53]: apparmor-next 7.0: apparmor: move check
      for aa_null file to cover all cases
    - SAUCE: apparmor5.0.0 [22/53]: apparmor-next 7.0: apparmor: fix label and
      profile debug macros
    - SAUCE: apparmor5.0.0 [23/53]: apparmor-next 7.0: apparmor:
      refactor/cleanup cred helper fns.
    - SAUCE: apparmor5.0.0 [24/53]: apparmor-next 7.0: apparmor: fix rlimit
      for posix cpu timers
    - SAUCE: apparmor5.0.0 [25/53]: apparmor-next 7.0: apparmor: fix fast path
      cache check for unix sockets
    - SAUCE: apparmor5.0.0 [26/53]: apparmor-next 7.0: apparmor: remove
      apply_modes_to_perms from label_match
    - SAUCE: apparmor5.0.0 [27/53]: apparmor-next 7.0: apparmor: make
      label_match return a consistent value
    - SAUCE: apparmor5.0.0 [28/53]: apparmor-next 7.0: apparmor: split
      xxx_in_ns into its two separate semantic use cases
    - SAUCE: apparmor5.0.0 [29/53]: apparmor-next 7.0: apparmor: avoid per-cpu
      hold underflow in aa_get_buffer
    - SAUCE: apparmor5.0.0 [30/53]: Revert "apparmor: fix dbus permission
      queries to v9 ABI"
    - SAUCE: apparmor5.0.0 [31/53]: Revert "apparmor: gate make fine grained
      unix mediation behind v9 abi"
    - SAUCE: apparmor5.0.0 [32/53]: apparmor: net: patch to provide
      compatibility with v2.x net rules
    - SAUCE: apparmor5.0.0 [33/53]: apparmor: net: add fine grained ipv4/ipv6
      mediation
    - SAUCE: apparmor5.0.0 [34/53]: apparmor: lift compatibility check out of
      profile_af_perm
    - SAUCE: apparmor5.0.0 [35/53]: apparmor: userns: add unprivileged user ns
      mediation
    - SAUCE: apparmor5.0.0 [36/53]: apparmor: userns: Add sysctls for
      additional controls of unpriv userns restrictions
    - SAUCE: apparmor5.0.0 [37/53]: apparmor: userns - make it so special
      unconfined profiles can mediate user namespaces
    - SAUCE: apparmor5.0.0 [38/53]: apparmor: userns: open userns related
      sysctl so lxc can check if restriction are in place
    - SAUCE: apparmor5.0.0 [39/53]: apparmor: userns: allow profile to be
      transitioned when a userns is created
    - SAUCE: apparmor5.0.0 [40/53]: apparmor: mqueue: call


=== debian/control ===
Source: linux-aws
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
XSC-Ubuntu-Compatible-Signing: ubuntu/4 pro/3
Rules-Requires-Root: no
Standards-Version: 3.9.4.0
Build-Depends:
 gcc:native, gcc-aarch64-linux-gnu [arm64] <cross>, gcc-arm-linux-gnueabihf [armhf] <cross>, gcc-powerpc64le-linux-gnu [ppc64el] <cross>, gcc-riscv64-linux-gnu [riscv64] <cross>, gcc-s390x-linux-gnu [s390x] <cross>, gcc-x86-64-linux-gnu [amd64] <cross>,
 debhelper-compat (= 10),
 cpio,
 kmod <!stage1>,
 makedumpfile [amd64] <!stage1>,
 libcap-dev <!stage1>,
 libelf-dev <!stage1>,
 libnewt-dev <!stage1>,
 libiberty-dev <!stage1>,
 default-jdk-headless <!stage1>,
 java-common <!stage1>,
 rsync [!i386] <!stage1>,
 libdw-dev <!stage1>,
 libpci-dev <!stage1>,
 pkg-config <!stage1>,
 python3 <!stage1>,
 python3-dev <!stage1>,
 python3-setuptools,
 flex <!stage1>,
 bison <!stage1>,
 libunwind8-dev [amd64 arm64 armhf ppc64el] <!stage1>,
 liblzma-dev <!stage1>,
 openssl <!stage1>,
 libssl-dev <!stage1>,
 libaudit-dev <!stage1>,
 bc <!stage1>,
 gawk <!stage1>,
 libudev-dev <!stage1>,
 autoconf <!stage1>,
 automake <!stage1>,
 libtool <!stage1>,
 uuid-dev <!stage1>,
 libnuma-dev [amd64 arm64 ppc64el s390x] <!stage1>,
 libtraceevent-dev [amd64 arm64 armhf ppc64el s390x riscv64] <!stage1>,
 libtracefs-dev [amd64 arm64 armhf ppc64el s390x riscv64] <!stage1>,
 dkms <!stage1>,
 dwarfdump <!stage1>,
 curl <!stage1>,
 zstd <!stage1>,
 pahole (>= 1.29-2ubuntu2) [amd64 arm64 armhf ppc64el s390x riscv64] | dwarves (>= 1.21) [amd64 arm64 armhf ppc64el s390x riscv64] <!stage1>,
 clang-18 [amd64 arm64 armhf ppc64el riscv64 s390x],
 rustc [amd64 arm64 armhf ppc64el riscv64 s390x],
 rust-src [amd64 arm64 armhf ppc64el riscv64 s390x],
 rustfmt [amd64 arm64 armhf ppc64el riscv64 s390x],
 bindgen [amd64 arm64 armhf ppc64el riscv64 s390x],
 libstdc++-dev,
Build-Depends-Indep:
 xmlto <!stage1>,
 bzip2 <!stage1>,
 sharutils <!stage1>,
 asciidoc <!stage1>,
 python3-docutils <!stage1>,
Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-aws/+git/resolute
XS-Testsuite: autopkgtest
#XS-Testsuite-Depends: gcc-4.7 binutils

Package: linux-aws-headers-6.19.0-1002
Build-Profiles: <!stage1>
Architecture: all
Multi-Arch: foreign
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils
Breaks: iscsitarget-dkms (<< 1.4.20.3+svn502-2ubuntu4.4)
Description: Header files related to Linux kernel version 6.19.0
 This package provides kernel header files for version 6.19.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-aws-headers-6.19.0-1002/debian.README.gz for details

Package: linux-aws-tools-6.19.0-1002
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
Description: Linux kernel version specific tools for version 6.19.0-1002
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 6.19.0-1002.
 You probably want to install linux-tools-6.19.0-1002-<flavour>.

Package: linux-aws-cloud-tools-6.19.0-1002
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-cloud-tools-common
Description: Linux kernel version specific cloud tools for version 6.19.0-1002
 This package provides the architecture dependant parts for kernel
 version locked tools for cloud tools for version 6.19.0-1002.
 You probably want to install linux-cloud-tools-6.19.0-1002-<flavour>.

Package: linux-image-unsigned-6.19.0-1002-aws
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: kernel
Priority: optional
Provides: linux-image, fuse-module, ${linux:rprovides}
Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-6.19.0-1002-aws
Recommends: grub-pc [amd64] | grub-efi-amd64 [amd64] | grub-efi-ia32 [amd64] | grub [amd64] | lilo [amd64] | grub-efi-arm64 [arm64], initramfs-tools | linux-initramfs-tool
Breaks: flash-kernel (<< 3.90ubuntu2) [arm64 armhf], s390-tools (<< 2.3.0-0ubuntu3) [s390x]
Conflicts: linux-image-6.19.0-1002-aws
Suggests: bpftool, linux-perf, linux-aws-doc-6.19.0 | linux-aws-source-6.19.0, linux-aws-tools, linux-headers-6.19.0-1002-aws
Description: Linux kernel image for version 6.19.0
 This package contains the unsigned Linux kernel image for version 6.19.0.
 .
 Supports AWS processors.
 .
 Geared toward Amazon Web Services (AWS) systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-aws meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-unsigned-6.19.0-1002-aws-dbgsym
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 6.19.0
 This package provides the unsigned kernel debug image for version 6.19.0.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-modules-6.19.0-1002-aws
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-6.19.0-1002-aws | linux-image-unsigned-6.19.0-1002-aws
Built-Using: ${linux:BuiltUsing}
Description: Linux kernel extra modules for version 6.19.0
 Contains the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports AWS processors.
 .
 Geared toward Amazon Web Services (AWS) systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-aws meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-6.19.0-1002-aws
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-aws-headers-6.19.0-1002, ${shlibs:Depends}
Provides: linux-headers, linux-headers-3.0
Description: Linux kernel headers for version 6.19.0
 This package provides kernel header files for version 6.19.0.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-6.19.0-1002/debian.README.gz for details.

Package: linux-tools-6.19.0-1002-aws
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-aws-tools-6.19.0-1002
Description: Linux kernel version specific tools for version 6.19.0-1002
 This package provides the architecture dependant parts for kernel
 version locked tools (such as x86_energy_perf_policy) for
 version 6.19.0-1002.

Package: linux-cloud-tools-6.19.0-1002-aws
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-aws-cloud-tools-6.19.0-1002
Description: Linux kernel version specific cloud tools for version 6.19.0-1002
 This package provides the architecture dependant parts for kernel
 version locked tools for cloud for version 6.19.0-1002.

Package: linux-udebs-aws
Build-Profiles: <!stage1> <!noudeb> <!cross> <!autopkgtest>
XC-Package-Type: udeb
Section: debian-installer
Architecture: amd64 arm64
Depends: ${udeb:Depends}
Description: Metapackage depending on kernel udebs
 This package depends on the all udebs that the kernel build generated,
 for easier version and migration tracking.

Package: linux-buildinfo-6.19.0-1002-aws
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${linux:BuiltUsing}
Description: Linux kernel buildinfo for version 6.19.0
 This package contains the Linux kernel buildinfo for version 6.19.0.
 .
 You likely do not want to install this package.

Package: linux-image-unsigned-6.19.0-1002-aws-64k
Build-Profiles: <!stage1>
Architecture: arm64
Section: kernel
Priority: optional
Provides: linux-image, fuse-module, ${linux:rprovides}
Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-6.19.0-1002-aws-64k
Recommends: grub-pc [amd64] | grub-efi-amd64 [amd64] | grub-efi-ia32 [amd64] | grub [amd64] | lilo [amd64] | grub-efi-arm64 [arm64], initramfs-tools | linux-initramfs-tool
Breaks: flash-kernel (<< 3.90ubuntu2) [arm64 armhf], s390-tools (<< 2.3.0-0ubuntu3) [s390x]
Conflicts: linux-image-6.19.0-1002-aws-64k
Suggests: bpftool, linux-perf, linux-aws-doc-6.19.0 | linux-aws-source-6.19.0, linux-aws-tools, linux-headers-6.19.0-1002-aws-64k
Description: Linux kernel image for version 6.19.0
 This package contains the unsigned Linux kernel image for version 6.19.0.
 .
 Supports AWS processors.
 .
 Geared toward Amazon Web Services (AWS) systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-aws-64k meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-unsigned-6.19.0-1002-aws-64k-dbgsym
Build-Profiles: <!stage1>
Architecture: arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 6.19.0
 This package provides the unsigned kernel debug image for version 6.19.0.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-modules-6.19.0-1002-aws-64k
Build-Profiles: <!stage1>
Architecture: arm64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-6.19.0-1002-aws-64k | linux-image-unsigned-6.19.0-1002-aws-64k
Built-Using: ${linux:BuiltUsing}
Description: Linux kernel extra modules for version 6.19.0
 Contains the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports AWS processors.
 .
 Geared toward Amazon Web Services (AWS) systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-aws-64k meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-6.19.0-1002-aws-64k
Build-Profiles: <!stage1>
Architecture: arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-aws-headers-6.19.0-1002, ${shlibs:Depends}
Provides: linux-headers, linux-headers-3.0
Description: Linux kernel headers for version 6.19.0
 This package provides kernel header files for version 6.19.0.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-6.19.0-1002/debian.README.gz for details.

Package: linux-tools-6.19.0-1002-aws-64k
Build-Profiles: <!stage1>
Architecture: arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-aws-tools-6.19.0-1002
Description: Linux kernel version specific tools for version 6.19.0-1002
 This package provides the architecture dependant parts for kernel
 version locked tools (such as x86_energy_perf_policy) for
 version 6.19.0-1002.

Package: linux-cloud-tools-6.19.0-1002-aws-64k
Build-Profiles: <!stage1>
Architecture: arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-aws-cloud-tools-6.19.0-1002
Description: Linux kernel version specific cloud tools for version 6.19.0-1002
 This package provides the architecture dependant parts for kernel
 version locked tools for cloud for version 6.19.0-1002.

Package: linux-udebs-aws-64k
